2009-01-06  jkerihuel

	* [r974] Add new Display Type values (used by EMSABP provider)
	* [r973] Change DEBUGLEVEL for RfrGetNewDSA
	* [r972] - preliminary implementation of RFR server (RfrGetNewDSA):
	  makes Outlook happy
	  - mapiproxy-servers-install now installs openchange python
	  scripts and ldif file

2009-01-05  jkerihuel

	* [r971] Move auth_serversupplied_info structure from
	  dcesrv_exchange_nsp.h to libmapiproxy.h
	  This structure is required for NTLM_AUTH_IS_OK macro
	* [r969] - Add doxygen comments for all OpenChange server modules
	  - Fix doxygen return value for exchange_nsp

2009-01-05  jkerihuel

	* [r968] - Add mapiproxy server unbind function and hook in
	  dcesrv_mapiproxy.c
	  - Add exchange handle enum to dcesrv_mapiproxy.h
	  - Add authentication verifier macro to libmapiproxy.h
	  - Add preliminary EMSABP Address Book Provider implementation:
	  * supports initialization, destructor (talloc)
	  * implements user and codepage check routines
	  * retrieve NSPI server GUID
	  - Add NspiBind and NspiUnbind support to dcesrv_exchange_nsp.c
	  - Add internal session mechanism management to NSPI server
	  - Add init and unbind modules function to NSPI server
	  - Add doxygen comments to all dcesrv_exchange_nsp.c functions
	  - Add emsabp_context, session and non-exported Samba structure to
	  dcesrv_exchange_nsp.h
	* [r967] OpenChange configuration schema updated with Addressing
	  schema
	  (Address-Templates, Address-Types and Display-Templates -
	  Exchange 2003 based)
	* [r966] Execute server modules init function when loaded

2009-01-05  bradh

	* [r965] A few API documentation fixes.

2009-01-04  jkerihuel

	* [r963] Add documentation for MAPIProxy 'server mode'

2009-01-02  jkerihuel

	* [r961] - Implement mapiproxy server mode architecture
	  - Add server modules management API
	  - Add skeletons for default OpenChange servers (nspi, emsmdb,
	  ds_rfr)
	  - Add temporary provision Makefile rule

2008-12-30  jkerihuel

	* [r959] Initial text was correct - rollback

2008-12-30  jkerihuel

	* [r958] Fix path typo

2008-12-30  bradh

	* [r957] Ensure that GetLastError() also returns the correct value.

2008-12-30  bradh

	* [r956] Start changing the MAPI_RETVAL_IF() usage to two new
	  macros:
	  OPENCHANGE_RETVAL_IF() and OPENCHANGE_RETVAL_ERR().
	  
	  simple_mapi.c is the only one converted at this stage.
	  
	  Also added a set of unit tests that verify at least some initial
	  sanity checks.

2008-12-30  bradh

	* [r955] Remove unreachable code.
	  
	  Partly resolves ticket #124

2008-12-29  jkerihuel

	* [r953] Remove references to ldap.h header file - not installed
	  anymore with samba4 git rev openchange uses

2008-12-29  jkerihuel

	* [r952] mapiproxy documentation update: 3 questions added to FAQ
	  section

2008-12-29  jkerihuel

	* [r951] Patch from Corentin Chary:
	  - Add PR_CONTENT_FILTER_SCL property to libmapi

2008-12-29  jkerihuel

	* [r950] - Update openchange to work with samba4 master git rev
	  f308c2f
	  - Replace reference to events.h with tevent.h
	  - Update installsamba4.sh script to reflect latest samba4
	  compilation changes/requirements

2008-12-27  jkerihuel

	* [r948] Fix mapidump date/month when freebusy period covers end of
	  one year - beginning of next year
	  Update openchangeclient to reflect these changes.

2008-12-24  jelmer

	* [r946] Export PKG_CONFIG_PATH if it wasn't exported yet. Patch by
	  Metze

2008-12-24  jelmer

	* [r945] Fix PIC object flags for SWIG build. Patch by metze.

2008-12-21  bradh

	* [r943] User %u format specifier for unsigned integer.

2008-12-21  bradh

	* [r942] Make return value match signature.

2008-12-21  bradh

	* [r941] Miscellaneous minor cleanups. Mainly making return types
	  match signatues, format conversion (%u for unsigned values) and
	  matching up result variable types (bool instead of enum
	  MAPISTATUS).

2008-12-21  bradh

	* [r940] Return an enum MAPISTATUS, instead of a bool, to match
	  function signature.

2008-12-21  bradh

	* [r939] Use %u instead of %d for unsigned values.

2008-12-20  bradh

	* [r937] Another minor APIdox edit.

2008-12-20  bradh

	* [r936] API documentation tweak.

2008-12-20  bradh

	* [r935] API dox fix.

2008-12-20  bradh

	* [r934] API dox fix.

2008-12-20  bradh

	* [r933] Minor apidox fixes.

2008-12-20  bradh

	* [r932] More apidox triviality.

2008-12-20  bradh

	* [r931] Trivial APIdox edits.

2008-12-20  bradh

	* [r930] Supplement the user's PKG_CONFIG_PATH rather than
	  overriding it.

2008-12-20  jelmer

	* [r929] Add bindings for GetBestBody(), GetDefaultFolder(),
	  GetDefaultPublicFolder(), AddUserPermission(),
	  ModifyUserPermission().

2008-12-20  jelmer

	* [r928] Add bindings for create_message, delete_messages,
	  get_message_status, set_read_flags.

2008-12-20  jelmer

	* [r927] Add Python bindings for Unsubscribe(), get_task_status(),
	  get_importance(), get_proptag_name(), get_proptag_value(),
	  DeleteFolder(), CreateFolder(), EmptyFolder(),
	  RemoveUserPermissions(), IsMailboxFolder().

2008-12-19  jelmer

	* [r925] Actually use pymapi variables in Makefile.

2008-12-19  jelmer

	* [r924] Add configure flags for building and installing Python
	  MAPI bindings (disabled by default).

2008-12-18  bradh

	* [r922] Add namespace prefix to scanner.

2008-12-16  jkerihuel

	* [r920] - spnego / gssapi_krb5 authentication now available for
	  mapiprofile
	  - add the --realm | -R option
	  - update mapiprofile man page

2008-12-14  jelmer

	* [r918] Allow retrieving id and session of MAPI objects.

2008-12-14  jelmer

	* [r917] Add MessageStore and Object Python classes, add bindings
	  for OpenMsgStore, OpenUserMailbox, OpenPublicFolder.

2008-12-14  jelmer

	* [r916] Add stubs for Session class.

2008-12-14  jelmer

	* [r915] Add infrastructure for MAPI python module.

2008-12-14  jelmer

	* [r914] Look for python and python-config binaries.

2008-12-14  jelmer

	* [r913] Remove empty directory.

2008-12-14  bradh

	* [r912] Remove entries for --properties and --priority, which have
	  been removed from the openchangeclient utility.
	  
	  Partly fixes #113.

2008-12-14  bradh

	* [r911] Don't generate / install man3 pages for libmapi++ or
	  mapitest.
	  
	  Resolves ticket #121.
	  
	  Also don't install man3 pages that are just copies of the C
	  implementation files, or just document bugs / todo items.

2008-12-13  jkerihuel

	* [r910] Remove obsolete --properties option and related code

2008-12-10  jkerihuel

	* [r908] Fix RecipientRow member's order

2008-12-09  jkerihuel

	* [r906] - Update to latest samba4 git master revision (3508a66)
	  - Fix references to samr info24 struct
	  - Add support for assoc_group_id proxy
	  - Add support in mapiproxy for bind/alter connections using
	  assoc_group_id
	  - Update mapiproxy documentation

2008-12-07  bradh

	* [r904] Improve building. Partially addresses #94.
	  
	  More work required on this as we work on the
	  portability in the future.

2008-12-07  bradh

	* [r903] Expose the underlying session.

2008-11-30  bradh

	* [r901] Remove unused --priority option.

2008-11-30  bradh

	* [r900] These offsets / values can be negative, so we shouldn't
	  use unsigned int type to represent them.

2008-11-29  jkerihuel

	* [r898] Fix Logon problem for users running Exchange 2k7 in a
	  clustered Exchange environment.
	  
	  This patch first tries to forge EssDN Logon string from "o" and
	  "ou"
	  attributes stored in the profile. If Logon fails with
	  ecUnknownUser,
	  then try to open the mailbox using the mailbox attribute stored
	  in
	  the profile.

2008-11-28  bradh

	* [r896] Document the --label option.

2008-11-26  jelmer

	* [r894] Remove check for unused type 'uint_t'.

2008-11-26  jkerihuel

	* [r893] Make openchange compile and work against latest samba4
	  master git rev (58db2be)

2008-11-22  bradh

	* [r888] More tweaks on the openchangeclient man1 page.

2008-11-22  bradh

	* [r887] More updates for man1 page for openchangeclient.
	  Still doesn't fully address #113.

2008-11-22  bradh

	* [r886] Update the openchangeclient man1 page.
	  
	  Partly addresses ticket #113.
	  
	  There is still some work to do on this.

2008-11-22  bradh

	* [r885] Fix a typo, and try to make the descriptions more
	  consistent.

2008-11-21  bradh

	* [r883] Initial version of man1 page for mapitest

2008-11-21  bradh

	* [r882] Initial man1 page for exchange2ical utility.

2008-11-14  bradh

	* [r879] Update man1 page for openchangepfadmin

2008-11-14  bradh

	* [r878] Minor updates for the man pages.

2008-11-13  bradh

	* [r876] Complete initializers here.

2008-11-13  jkerihuel

	* [r875] Fix build errors: wrong number of arguments for
	  ocpf_propvalue

2008-11-13  jkerihuel

	* [r874] Fix warnings when compiling with -Wextra

2008-11-13  jkerihuel

	* [r873] Fix warnings when compiling with -Wextra

2008-11-13  jkerihuel

	* [r872] Fix warnings when compiling with -Wextra

2008-11-10  bradh

	* [r870] Update to reflect latest state of mapiprofile.

2008-11-09  bradh

	* [r868] Prevent segfault when running mapitest. Looks like the we
	  can
	  return MAPI_E_SUCCESS even if one of the property values is
	  MAPI_E_NOTFOUND. That error then get turned into a char*, and
	  strncmp faults.
	  
	  Also fix a possible bug relating to operator precedence, and
	  a couple of warnings (one for signed / unsigned comparison, and
	  the other for an unsigned value never being less than zero).

2008-11-08  bradh

	* [r866] Enable output to stdout.
	  
	  Resolves ticket #106.
	  
	  Thanks to raboof for the report and fix.

2008-11-07  bradh

	* [r864] Fix missing initialisers (issue #110).
	  
	  Also fix some signed/unsigned warnings.

2008-11-07  bradh

	* [r863] Fix problems with incorrect initialisers (#110) and
	  operator precedence.
	  
	  Also fix a couple of places with signed/unsigned confusion.

2008-11-07  bradh

	* [r862] Partial fix for issue #110, and a couple of very minor
	  cleanups.

2008-11-06  bradh

	* [r860] Minor cleanups.

2008-11-06  bradh

	* [r859] We probably want to return here, not do nothing.

2008-11-05  bradh

	* [r857] Typo fix.

2008-11-05  bradh

	* [r856] Explain the boost-thread trick.

2008-11-05  jkerihuel

	* [r855] Fix empty patch function problem: add a retval

2008-11-05  bradh

	* [r854] Minor documentation tweaks.

2008-11-04  jkerihuel

	* [r852] - remove usage of global_loadparm in libmapiadmin
	  - make use of session context rather than global_mapi_ctx in
	  libmapiadmin
	  - use local context rather than mapiadmin context in libmapiadmin
	  - libmapiadmin now uses ldb helper rather than raw implementation
	  (ldb async code)
	  - libmapiadmin and openchangepfadmin now works again (user
	  creation/deletion) !! ;-)
	  - remove global_loadparm in torture test and replace it with
	  torture context
	  - fix dcerpc_init to match latest samba4 API
	  - update samba4 version required to build openchange

2008-11-04  jelmer

	* [r851] Remove unnecessary patching of lib/events/events.h.

2008-11-04  bradh

	* [r850] More API documentation tweaks.

2008-11-04  bradh

	* [r849] More API documentation tweaks.

2008-11-04  bradh

	* [r848] Some API dox fixes for libmapi++.

2008-11-03  bradh

	* [r846] Update to a more recent Samba4.

2008-11-03  jelmer

	* [r845] Remove some usages of deprecated global_loadparm.

2008-11-03  jelmer

	* [r844] Cope with new argument to dcerpc_log_packet().

2008-11-01  jelmer

	* [r842] Fix includes for DEBUG(), fix some more warnings.

2008-11-01  jelmer

	* [r841] Use same_net_v4 rather than deprecated same_net().

2008-11-01  jelmer

	* [r840] Fix Samba 4 git revision.

2008-11-01  jelmer

	* [r839] Fix includes - debug.h can only be included once.

2008-11-01  jelmer

	* [r838] Include debug header.

2008-11-01  jelmer

	* [r837] Cope with API changes in Samba functions.

2008-11-01  jelmer

	* [r836] Use new function is_zero_ip_v4 rather than removed
	  is_zero_ip.

2008-10-31  jkerihuel

	* [r833] Fix OpenMsgStore binding in swig perl and fetchmail script

2008-10-21  jkerihuel

	* [r824] Fix pointless const definition for GetFreeBusyYear return
	  type

2008-10-20  jkerihuel

	* [r823] - Add the IsFreeBusyConflict convenient function which
	  checks if a
	  given date conflicts with existing FreeBusy Busy/OOF events
	  
	  - Modify openchangeclient --sendappointment behavior to check
	  whether
	  start or end date conflicts with FreeBusy published data for the
	  user.
	  
	  - Add the --force option to openchangeclient to override this
	  behavior
	  
	  - Fix a counter bug in mapidump_freebusy_events

2008-10-20  jkerihuel

	* [r821] Fix doxygen typo error

2008-10-20  jkerihuel

	* [r820] - Add GetUserFreeBusyData convenient function which
	  retrieves FreeBusy
	  data in public folders for a given user. Note: Ambiguous name is
	  not
	  supported at the moment.
	  
	  - Add convenient FreeBusy mapidump routines
	  
	  - Add FreeBusy read support to openchangelient
	  
	  - Add PT_MV_LONG and PT_MV_BINARY support to pull_emsmdb_property
	  and
	  property.c functions
	  
	  - Add OpenUserMailbox which let developers open other mailboxes
	  instead of the default profile one.
	  
	  - Add GetABRecipientInfo: convenient function which retrieves
	  Address
	  Book information for a given recipient

2008-10-17  jkerihuel

	* [r818] - Add libmapi implementation for
	  DeletePropertiesNoReplicate
	  - Add mapitest test units for DeleteProps and
	  DeletePropertiesNoReplicate

2008-10-17  jkerihuel

	* [r817] Fix doxygen documentation

2008-10-16  jkerihuel

	* [r815] - Implement multisession into libmapi
	  - Update openchange tools and suite to reflect these changes
	  - Fix SRow_addprop behavior
	  
	  NOTE: OpenMsgStore, ResolveNames, GetGALTable and RFR functions
	  now take a mapi_session parameter.

2008-10-16  jelmer

	* [r814] Use my openchange.org email address.

2008-10-09  jkerihuel

	* [r812] - Add a session management API for mapiproxy modules.
	  Similar code
	  already existed for mpm_cache module. Common functions are now
	  available to all mapiproxy modules through libmapiproxy
	  
	  - replace smbd with samba in mapiproxy documentation

2008-10-09  jkerihuel

	* [r811] - Cache calendar, contact, journal, note, task and drafts
	  folders IDs
	  when GetDefaultFolder call is performed on one of these folders
	  and
	  keep them until obj_store is released.
	  
	  - Add a reverse lookup routine which says whether a given FID
	  belongs
	  to a default folder and which olFolderType it is.

2008-10-09  jkerihuel

	* [r810] - Remove pointless memory context in GetDefaultFolder
	  - Move entryID to FID code into a separated routine
	  (GetFIDFromEntryID)

2008-10-09  jkerihuel

	* [r809] Restore install rule for mapi profiles ldif files in
	  libmapi-installscript. Fix the MAPI_E_NO_ACCESS bug when
	  mapiprofile
	  tries to create a new mapi profile store.

2008-10-08  jkerihuel

	* [r808] - Ticket #103 resolved. openchangeclient can now perform
	  custom folder lookup, fetch, mkdir and rmdir.
	  - mapi_object_copy routine added to mapi_object.c

2008-10-06  jkerihuel

	* [r806] Fix missing Month field in LogonTime structure

2008-10-05  jkerihuel

	* [r805] propagate IDL warning fix to property.idl

2008-10-05  jelmer

	* [r804] Add target for building python API documentation.

2008-10-01  jelmer

	* [r803] Avoid warning.

2008-10-01  jkerihuel

	* [r802] Fix samba4 release and git revision

2008-10-01  jkerihuel

	* [r801] Fix installsamba4.sh script paths

2008-10-01  jelmer

	* [r800] Install OpenChange python modules.

2008-10-01  jelmer

	* [r799] Check for python dir during configure.

2008-10-01  jelmer

	* [r798] ignore generated files.

2008-10-01  jelmer

	* [r797] Stop installing js files.

2008-10-01  jelmer

	* [r796] Use autoconf cache prefix.

2008-10-01  jelmer

	* [r795] Use newer version of Samba 4.

2008-09-30  jkerihuel

	* [r791] Remove dcesrv_exchange.so from server Makefile rule and
	  move mapiproxy from TOOLS to SERVER.
	  
	  dcesrv_exchange and providers Makefile rules are orphan, planned
	  to be removed (with their associated code) when emsabp merge
	  process
	  into mapiproxy is over.

2008-09-23  bradh

	* [r790] Export the Binary_r structure.

2008-09-22  bradh

	* [r789] Use more descriptive variable names in messages example
	  code.

2008-09-22  bradh

	* [r788] Add a description of messages to libmapi++ API
	  documentation.

2008-09-22  bradh

	* [r787] Add messages binary to the ignore list.

2008-09-22  bradh

	* [r786] Add new example showing libmapi++ message handling, and
	  associated API documentation and build system changes.

2008-09-21  bradh

	* [r785] Update the API documentation main page for libmapi++

2008-09-19  jkerihuel

	* [r784] Add foldertree binary to the ignore list

2008-09-19  jkerihuel

	* [r783] - Add missing Input parameter
	  - Add sanity check on ppNames
	  - Fix ticket #102

2008-09-19  jkerihuel

	* [r781] - Fix a bug in NspiUpdateStat: make plDelta mandatory and
	  use it for in,out
	  - Add a NspiGetSpecialTable test for Address Creation Template

2008-09-19  bradh

	* [r780] Fix valgrind-reported error, per ticket #101.

2008-09-19  bradh

	* [r779] Make sure we clean up after mapitest runs.
	  
	  Resolves ticket #84

2008-09-17  jkerihuel

	* [r778] - Add msExchUserAccountControl attribute to extended user
	  record
	  - openchange_newuser can now create/enable/disable an OpenChange
	  account

2008-09-17  jkerihuel

	* [r776] Exit the test if the WriteStream operation fails

2008-09-17  bradh

	* [r774] Make sure we set the body and body format properties, to
	  ensure that the message is shown correctly with
	  openchangeclient -F.

2008-09-17  jkerihuel

	* [r773] Fix ncacn_ip_tcp binding string for OpenChange server
	  object

2008-09-17  jkerihuel

	* [r772] With new NSPI IDL, using cValues - 1 is incorrect and lead
	  to errors. Use cValues directly instead

2008-09-17  jkerihuel

	* [r771] Fix pipe function check and use ndr autogenerated defines
	  rather than static strings
	  Fix calls to NspiDNToMId

2008-09-16  jkerihuel

	* [r770] - Fix provisioning
	  - Rename oc_* python scripts to openchange_*
	  - Add Full Exchange 2003 schema (classes and attributes)
	  - Full Exchange 2003 modified classes and attributes support
	  - Add prefixmap OID for some Exchange classes and attributes
	  - Add missing ADSC classes and attributes
	  - Improve configuration LDIF file with new objects
	  
	  NOTE: provision.py should find a way to handle firstorg properly
	  NOTE: oc_provision_configuration.ldif is still incomplete

2008-09-16  bradh

	* [r768] API documentation improvements.

2008-09-15  bradh

	* [r767] Add an example to the libmapi++ documentation, and
	  the right build magic and doxygen linkage.

2008-09-15  bradh

	* [r766] Minor API documentation fix

2008-09-14  bradh

	* [r765] Add forgotten part of API documentation fixes for
	  mapitest.

2008-09-14  bradh

	* [r764] Improve mapitest API documentation.

2008-09-13  bradh

	* [r763] Use new DeleteFolder flags to clean up folders on
	  deletion.
	  
	  This doesn't completely resolve ticket #84, but it does help.

2008-09-13  bradh

	* [r762] Ignore API documentation.

2008-09-13  bradh

	* [r761] Add Doxyfile to ignore list.

2008-09-13  bradh

	* [r760] Add initial support for Doxygen API documentation
	  for libmapiadmin.

2008-09-12  bradh

	* [r759] Implement the remainder of the standard public folders.

2008-09-10  bradh

	* [r758] Only do header line removal at the start of the file
	  (lines 20 through 40 seems like a good compromise).

2008-09-10  bradh

	* [r757] libmapi++ is C++, not C, so we should not optimise
	  Doxygen output for C.

2008-09-09  bradh

	* [r756] Suppress some more unwanted headers.

2008-09-09  jkerihuel

	* [r755] - Update the Logon_repl IDL (0xFE) and implementation
	  - Add new folders to the mapi_obj_store for PF folders
	  - rename pf_finder to pf_search

2008-09-08  jkerihuel

	* [r754] - Add GetStoreState (0x7b) IDL, implementation and
	  mapitest unit

2008-09-08  jkerihuel

	* [r753] Fix typo error

2008-09-08  jkerihuel

	* [r752] - Update the EmptyFolder IDL

2008-09-08  jkerihuel

	* [r751] - Update the SearchFlags enum, GetSearchCriteria and
	  SetSearchCriteria IDL
	  - Add mapitest units for GetSearchCriteria and SetSearchCriteria

2008-09-08  jkerihuel

	* [r750] Link libmapi++ documentation to main apidocs page

2008-09-08  jkerihuel

	* [r749] Update GetAttachmentTable IDL and remove the unknown field

2008-09-08  jkerihuel

	* [r748] - Update DeleteFolder IDL and implementation
	  - It now supports DeleteFolderFlags as input parameter and can
	  return the ParticalCompletion state
	  - Sanity checks added at the beginning of the function

2008-09-08  jkerihuel

	* [r747] - Rename GetRowCount to QueryPosition
	  - IDL, implementation, documentation and openchange code updated
	  - ActionType enum fields prefixed with 'ActionType_'. Original
	  values were causing conflicts while building Perl bindings with
	  'i386-linux-thread-multi/CORE/opnames.h where OP_DELETE was
	  already defined'

2008-09-08  jkerihuel

	* [r746] Change enum SaveFlags to uint8_t for doxygen documentation
	  to be generated properly

2008-09-08  bradh

	* [r745] Build fix / fix for ticket #99.

2008-09-08  bradh

	* [r744] Filter out some new #include lines.
	  
	  This needs to be applied to other modules too.

2008-09-08  jkerihuel

	* [r743] - Update SaveChangesMessage IDL and implementation
	  - Add a SaveFlags parameter to SaveChangesMessage function
	  - update openchange code to reflect this change

2008-09-07  jkerihuel

	* [r742] Update SRow and SRowSet IDL

2008-09-07  jkerihuel

	* [r741] Delete obsolete input_locale and instance_key structures

2008-09-07  jkerihuel

	* [r740] Fix WStringArray_r IDL

2008-09-07  jkerihuel

	* [r739] - Move from MV_UNICODE_STRUCT and LPWSTR to WStringArray
	  - LPWSTR structure removed

2008-09-07  jkerihuel

	* [r738] Rename SDateTimeArray to DateTimeArray_r

2008-09-07  jkerihuel

	* [r737] Rename SGuidArray to FlatUIDArray_r and fix the IDL

2008-09-07  jkerihuel

	* [r736] Rename MV_LONG_STRUCT to LongArray_r

2008-09-07  jkerihuel

	* [r735] Rename SBinary to Binary_r

2008-09-07  jkerihuel

	* [r734] - Add removal of libmapi++ Doxyfile in make distclean rule
	  - Add Doxyfile to svn:ignore

2008-09-07  jkerihuel

	* [r733] Rename SShortArray to ShortArray_r

2008-09-07  jkerihuel

	* [r732] - Move from SLPSTRArray to StringArray_r
	  - LPSTR structure removed

2008-09-07  jkerihuel

	* [r731] Rename MAPIUID to FlatUID_r

2008-09-07  jkerihuel

	* [r730] Fix lexer warnings during compilation (ticket #100)

2008-09-07  jkerihuel

	* [r729] - Update the EcDoConnect IDL (ref. ticket #99)
	  - Add new fields to the emsmdb info structure
	  - Add doxygen comments to libmapi/emsmdb.c

2008-09-07  bradh

	* [r728] Reduce warnings when compiling with 64-bit arch.

2008-09-07  bradh

	* [r727] Initial checkin of infrastructure for libmapi++ API
	  documentation.

2008-09-06  jkerihuel

	* [r726] - MAJOR NSPI protocol and libmapi stack update
	  - All NSPI protocol functions implemented
	  - NSPI stack fully documented
	  - NspiGetHierarchyInfo renamed to NspiGetSpecialTable
	  - NspiDNToEph renamed to NspiDNToMId
	  - instance_key removed from nspi_context and set as a parameter
	  to NSPI functions
	  - SPropertyRestriction renamed to PropertyRestriction_r
	  - FlagList structure removed and replaced by a SPropTagArray
	  - MAPI_SETTINGS removed and replaced by a STAT structure
	  - new MAPI property tags added to libmapi/conf/mapi-properties
	  - NSPI module added to mapitest

2008-09-06  bradh

	* [r725] Clean up on failure.

2008-09-06  bradh

	* [r724] Clean up on failure.

2008-09-06  bradh

	* [r723] Minor improvements to ensure cleanup on failure.

2008-09-06  bradh

	* [r722] API documentation fix

2008-09-06  bradh

	* [r721] API documentation fix.

2008-09-06  bradh

	* [r720] API documentation fix.

2008-09-06  bradh

	* [r719] API documentation fix.

2008-09-06  bradh

	* [r718] API documentation fixes.

2008-09-05  bradh

	* [r717] API documentation fixes.

2008-09-04  jkerihuel

	* [r716] Fix EMSMDB 0xb function name

2008-09-04  jkerihuel

	* [r715] - update EcRRegisterPushNotification IDL
	  - update Notify IDL
	  - implement complete MAPI notifications
	  - update libmapi to reflect these changes
	  - make openchangeclient prints a brief summary for each
	  notification found
	  - update ulEventMask used in openchangeclient

2008-09-03  jkerihuel

	* [r714] - Rename Advise MAPI call to RegisterNotification
	  - Update RegisterNotification IDL and implementation

2008-09-02  jkerihuel

	* [r713] - Fix Restrict IDL and implementation
	  - Add a new parameter to the Restrict function
	  - close ticket #32

2008-09-02  jkerihuel

	* [r712] Add mapi_nameid.h to the ignore list

2008-09-02  jkerihuel

	* [r711] - Replace libmapi/mapi_nameid.h with a generated mparse
	  file
	  - Add a mapi_nameid.h parser to mparse.pl
	  - Add canonical names for named properties
	  - GetProps and SetProps resolves named properties if they exist
	  - named properties can now be set directly and make mapi_nameid
	  API be
	  optional.
	  - replace named property tags hex value with their canonimal
	  names
	  - replace several use of the mapi_nameid API with smaller code

2008-09-02  jkerihuel

	* [r710] - Add new IDL file (property.idl) to push/pull structures
	  from binary
	  blobs and not directly related to any MAPI calls. Include the
	  generated property.h file into libmapi.h
	  
	  - Add PT_MV_STRING8 support in pull_emsmdb_property (GetProps
	  reply
	  parsing) and mapidump_SPropValue
	  
	  - Add functions to property.c to retrieve RecurrencePattern,
	  TimeZoneStruct and GlobalObjectId structures (see property.idl).
	  
	  - add a preliminary version of exchange2ical tool. This version
	  only
	  dumps calendar folder appointments into ICS file on standard
	  output.

2008-08-30  jkerihuel

	* [r709] - Update mapi-nameid-properties with a more complete set
	  of properties
	  - Add a header to mapi-nameid-properties for sanity purposes
	  - Move named properties with PT_STRING8 type to PT_UNICODE
	  - update openchange code to reflect these changes
	  - Add PSETID_Attachment to mapidefs.h

2008-08-28  jkerihuel

	* [r707] Add missing check on password for the create command

2008-08-28  jkerihuel

	* [r706] Fix incorrect usage of realm in mapiproxy

2008-08-27  jkerihuel

	* [r705] Check for provider_rpc_connection retval for RFR
	  functions.

2008-08-27  jkerihuel

	* [r704] Update Doxyfile to parse mapiproxy/modules files and
	  include documentation on static functions.

2008-08-27  jkerihuel

	* [r703] - Add NSPI hook on NspiQueryRows and NspiDNToEph and
	  replace the
	  Exchange server name with mapiproxy one.
	  - documentation updated to reflect these changes
	  - new FAQ question added
	  - developer documentation improved

2008-08-27  jkerihuel

	* [r702] Add the RFR mapiproxy file.

2008-08-27  jkerihuel

	* [r701] - Implement RfrGetNewDSA DN replacement in mapiproxy
	  - use lp_realm rather than sockaddr in NspiGetProps (FQDN rather
	  than IP address)
	  - update mapiproxy documentation to reflect these changes

2008-08-26  jkerihuel

	* [r698] - Add implementation of the NSPI Referral protocol
	  (exchangeRFR)
	  - update dcesrv_exchange and mapiproxy prototypes for RFR
	  - add references to the RFR pipe in mapiproxy
	  - prefix NSPI client connections with a RfrGetNewDSA call
	  - add RFR functions implementation in libmapi/IMSProvider.c
	  - add a --getfqdn option to mapiprofile
	  - fix a minor mapiprofile option parsing bug

2008-08-25  jkerihuel

	* [r697] Fix mapiproxy dummy module unbind prototype

2008-08-25  jkerihuel

	* [r696] - Remove flags in EcDoRpc top function, fix compilation vs
	  latest samba4-git version
	  - EcDoRpc indent updated

2008-08-15  clsk

	* [r694] Get rid of initialization order warning

2008-08-11  jkerihuel

	* [r691] - add unbind hook for mapiproxy
	  - add ahead mapiproxy mode
	  - add read ahead in cache module
	  - add synchronization mechanism in cache module
	  - update mapiproxy documentation to reflect these changes

2008-08-08  bradh

	* [r690] Temporarily comment out installation of files removed
	  in r683.

2008-08-01  jelmer

	* [r685] Fix arguments, paths in provision scripts.

2008-08-01  jelmer

	* [r683] Merge python provision/newuser scripts.

2008-08-01  jelmer

	* [r681] Simplify installation of manpages a bit.

2008-07-29  jkerihuel

	* [r679] Add configure check for libboost-thread. Add libmapi++ to
	  the build
	  only if it is available.

2008-07-27  clsk

	* [r678] - session constructor doesn't login to the server anymore,
	  it calls MAPIInitialize().
	  - Created session::login() members.
	  - test applications use default profile.

2008-07-26  jkerihuel

	* [r676] - Import Alan Alvarez work from libmapi++ into trunk
	  - Add a g++ check in configure.ac: don't call libmapi++ rules if
	  g++
	  is missing
	  - Add libmapi++ to the build system
	  - Add a patch function to installsamba4.sh: rename private to
	  private_data in samba4 events.h header file
	  - Change #include directives so it uses <libmapi++ ... rather
	  than
	  relative paths.

2008-07-24  jkerihuel

	* [r674] - Add a statitic function monitoring streams over
	  OpenStream and Last
	  ReadStream operations. Monitoring stream Release is not relevant
	  since Outlook does not close the handle directly after last
	  ReadStream operation. Should put in evidence difference between
	  non-cached(1st retrieval) and cached (further retrieval).
	  
	  - Fix a few memory leaks

2008-07-23  jkerihuel

	* [r672] - Commit initial revision for the mapiproxy cache module
	  - Update mapiproxy hook API for the dispatch routine
	  - Introduce the mapiproxy structure for modules to control
	  top-level
	  mapiproxy behavior.
	  - Update mapiproxy documentation to reflect these changes

2008-07-21  jkerihuel

	* [r670] * Fix remaining ByteRead parameter size for ReadStream
	  operations.

2008-07-20  jkerihuel

	* [r669] * Improve/Update Open/Read/WriteStream IDLs
	  * Fix ByteRead parameter size for ReadStream operation.

2008-07-19  jkerihuel

	* [r668] Improve OpenAttach, CreateAttach and DeleteAttach IDL -
	  remove unknown
	  parameters.

2008-07-19  jkerihuel

	* [r667] Propagate r666 changes to OpenMsgStore and fix build

2008-07-19  bradh

	* [r666] Minor rename of bitmap value to avoid conflict with
	  Private as a class name.

2008-07-17  bradh

	* [r665] Initial checkin of some uno (static checker) support
	  files.
	  
	  There will be a script to run uno with the right options,
	  but that requires more work.

2008-07-17  jkerihuel

	* [r663] Minor change: remove old debugging string from mapitest

2008-07-17  jkerihuel

	* [r660] Fix incorrect header

2008-07-17  jkerihuel

	* [r658] Remove deprecated mapi_handles API

2008-07-16  bradh

	* [r656] Fix little memory leak.

2008-07-16  jkerihuel

	* [r655] Fix OXOMSG-ABORT-SUBMIT return value and return success
	  when expected
	  error values (MAPI_E_UNABLE_TO_ABORT, ecNoDelSubmitMsg) are
	  encountered.

2008-07-16  jkerihuel

	* [r654] - Call mapi_object_release in GetDefaultFolder
	  - Remove pointless references to mapi_object_t

2008-07-15  jkerihuel

	* [r653] Fix invalid OpenFolder calls in mapitest modules

2008-07-15  jkerihuel

	* [r652] Remove references to SaveChanges in doxygen see also
	  statement

2008-07-15  jkerihuel

	* [r651] - Rename SaveChanges to SaveChangesAttachment (0x25)
	  - Update SaveChangesAttachment IDL
	  - Update references to SaveChanges

2008-07-15  jkerihuel

	* [r650] - Fix the huge memory leak described in Ticket #91
	  - Rewrite the mapitest NameID test to use the mapi_nameid
	  convenient
	  API

2008-07-12  jkerihuel

	* [r648] - Add mapi_get_errstr auto-generated routine which returns
	  the MAPI
	  retval as a string
	  - Add print routine for MAPI retval in mapitest
	  - Add a color mode (--color) which prints either green or red
	  MAPISTATUS
	  - Update mapitest modules to use these new routines

2008-07-12  bradh

	* [r647] Minor API documentation fix.

2008-07-11  jkerihuel

	* [r646] Add all MAPI errors

2008-07-11  jkerihuel

	* [r645] - Add GetOwningServers (0x42) implementation (IDL +
	  libmapi + mapitest)

2008-07-11  jkerihuel

	* [r644] - Report and make consistent usage of PropertyProblem in
	  the IDL:
	  SetProps, DeleteProps and CopyProperties
	  
	  - Remove unknown field in GetProps and GetPropsAll and replace
	  them
	  with the correct IDL mapping.
	  
	  - Add IDL for SetPropertiesNoReplicate (0x79) MAPI call
	  
	  - Minor typo fix in IMAPIProp.c

2008-07-11  jkerihuel

	* [r643] Improve CreateMessage request IDL

2008-07-11  jkerihuel

	* [r642] Improve OpenMessage response IDL

2008-07-11  jkerihuel

	* [r641] - Add PublicFolderIsGhosted (0x45) MAPI call (IDL +
	  libmapi + mapitest)
	  
	  - Improve OpenFolder, CreateFolder and OpenPublicFolderByName
	  response
	  IDL: make these call able to check whether the folder is ghosted
	  or
	  not.

2008-07-11  jkerihuel

	* [r640] Revert emsmdb pipe version to the hacked one. Makes
	  mapiproxy work with samba4-alpha5 release.

2008-07-11  jkerihuel

	* [r639] SeekRow and SeekRowBookmark IDL improved

2008-07-11  jkerihuel

	* [r638] Improve the SetColumns IDL: remove unknown fields

2008-07-06  jkerihuel

	* [r637] Minor code convention fix

2008-07-06  jkerihuel

	* [r636] Check NTSTATUS return value from dcerpc_ndr_request.
	  Prevent mapiproxy
	  from segfault when invalid dcerpc response is received.

2008-07-06  jkerihuel

	* [r635] Expose MAPISTATUS error in
	  OXCTABLE-CATEGORY::FreeBookmark.
	  Requires investigation

2008-07-06  bradh

	* [r634] Implement GetIdFromLongTermId and GetLongTermIdFromId
	  functions (ROP:0x43 and 0x44), and associated mapitest.

2008-07-06  bradh

	* [r633] Documentation typo fix.

2008-07-06  bradh

	* [r632] Change the QueryNamesFromIDs() call to match
	  MSDN, including changing the name to QueryNamedProperties().
	  
	  Also implement mapitest for QueryNamedProperties(),
	  GetNamesFromIDs() and GetIDsFromNames().
	  
	  Update torture test to match.

2008-07-05  jkerihuel

	* [r631] - Build system update: use samba4-alpha5 release with wget
	  method
	  - introduce 'make samba' and 'make samba-git'

2008-07-04  bradh

	* [r630] Make sure we have names[] array large enough.
	  
	  Problem identified using default uno run.
	  
	  Resolves #87.

2008-07-03  jkerihuel

	* [r629] Fix a small errno bug in GetBestBody
	  Add dump-data and debug options to exchange2mbox

2008-06-30  bradh

	* [r628] Typo fix.

2008-06-30  jkerihuel

	* [r627] - Move emsmdb interface version back to 0.81 (patch
	  applied in samba4 trunk)
	  - remove sed hack, modifications applied in samba4 trunk
	  - update required samba4 git rev required

2008-06-25  jkerihuel

	* [r626] Minor documentation update: remove deprecated reference to
	  ./bin/smbpython

2008-06-25  jkerihuel

	* [r625] Fix torture suite entry point name
	  Fix torture module installation path

2008-06-25  jkerihuel

	* [r624] - Add implementation for the BestBody algorithm
	  - Add MAPI_E_NOT_ENOUGH_MEMORY error code
	  - Remove trailing }}\0 from lzfu code
	  - Update openchange tools to use GetBestBody rather than
	  the initial check on PR_MSG_EDITOR_FORMAT

2008-06-25  jkerihuel

	* [r623] Add a very basic stat module for mapitest: gives a quick
	  overview
	  of tests which failed at the end of the report.

2008-06-25  jkerihuel

	* [r622] - Defines a global stream size in mapitest.h
	  - Decrease stream size from 0x4000 to 0x3000
	  Sounds like Exchange 2003 SP2 doesn't support 0x4000, return
	  MAPI_E_CALL_FAILED
	  

2008-06-24  jkerihuel

	* [r621] Fix OC_CHECK_SAMBA_VERSION string

2008-06-24  jkerihuel

	* [r620] - Move samba4_ver.sh from top dir to script
	  - update parts of openchange relying on samba4_ver.sh

2008-06-24  jkerihuel

	* [r619] Add configure check for lib Z
	  

2008-06-24  jkerihuel

	* [r618] - Temporary fix ldb.pc problem and patch ldb.pc.in
	  - Update samba4 version to the latest revision
	  - Add libmapiproxy to svn:ignore proplist

2008-06-24  bradh

	* [r617] Try a different git revision, just for now.

2008-06-17  jkerihuel

	* [r614] - Update Samba4 version needed
	  - Change entry point function from init_module to
	  samba_init_module
	  - update documentation

2008-06-16  jelmer

	* [r613] Fix calls of ldb_init() as required by newer versions of
	  Samba.

2008-06-16  jelmer

	* [r612] Avoid bashisms.

2008-06-16  jelmer

	* [r611] Support newer versions of Samba4.

2008-06-14  bradh

	* [r609] Add some other standard GUIDs

2008-06-11  jelmer

	* [r605] Fix silly typo.

2008-06-11  jelmer

	* [r604] Fix linking.

2008-06-11  jelmer

	* [r603] Use version and soversion in mapiproxy library.

2008-06-11  jelmer

	* [r602] Make modules directory overridable.

2008-06-10  bradh

	* [r601] Change API as identified on devel mailing list.
	  
	  Here is the email:
	  After some investigation into an error reported by valgrind, I'm
	  proposing an
	  API change for the MoveCopyMessages() function.
	  
	  The signature is currently
	  enum MAPISTATUS MoveCopyMessages(mapi_object_t *obj_src,
	  mapi_object_t
	  *obj_dst, mapi_id_t *message_id, bool WantCopy)
	  
	  The problem is the message_id array. The subtle part is that it
	  needs to be
	  terminated with a null mapi_id_t*, because of this:
	  for (request.count = 0; message_id[request.count];
	  request.count++);
	  
	  That is a bit error prone - enough so to be wrong in the
	  mapitest.
	  
	  Now we could just fix the mapitest and document the requirements,
	  or we could
	  change the signature.
	  
	  Two ideas for a different signature:
	  1. We could add a uint16_t count to the signature, that says how
	  long the
	  array is.
	  2. We could use a better data structure than mapi_id_t*. I'm
	  suggesting
	  mapi_id_array_t:
	  enum MAPISTATUS MoveCopyMessages(mapi_object_t *obj_src,
	  mapi_object_t *obj_dst,
	  mapi_id_array_t *message_id,
	  bool WantCopy)

2008-06-09  bradh

	* [r600] Add mapitest coverage for CopyTo operations on
	  folders and attachments, and update API docs.
	  
	  Also fix one place where we inadvertently used
	  CopyProps instead of CopyTo...

2008-06-08  bradh

	* [r597] Typo fixes in comments.

2008-06-08  bradh

	* [r596] Minor documentation updates.

2008-06-08  bradh

	* [r595] Clean up created message for SpoolerLockMessage() test.

2008-06-07  bradh

	* [r594] Update samba4 version test.

2008-06-07  bradh

	* [r593] typo fix.

2008-06-07  bradh

	* [r592] Make sure properties are copies into the last valid
	  location in the extended array (i.e. count-1) not the
	  count location.
	  
	  Also, make sure we cast the data to a uint8_t for
	  conversion to boolean.
	  
	  Also fix compile warning about returning integer instead
	  of pointer.

2008-06-07  bradh

	* [r591] We may read up to 0x1000 bytes, so ensure there is
	  enough room to add the terminating null.

2008-06-07  bradh

	* [r590] Minor cleanup of the talloc context for FreeBookmark().
	  
	  Also change around some code to protect things a bit
	  better against null pointer inputs.

2008-06-06  bradh

	* [r588] Implement a bit more mapitest for CopyTo (0x39), in
	  support of #83.
	  
	  Also make it clean up and report failures properly.

2008-06-05  bradh

	* [r587] Implement the CopyTo operation (0x39), including initial
	  mapitest.
	  JK previously committed the IDL for this.
	  
	  Also make CopyProps (0x67) use an appropriate data structure for
	  its IDL and update implementation to match.

2008-06-04  bradh

	* [r586] Minor documentation updates/corrections.

2008-06-02  jkerihuel

	* [r583] Introduce a default case for MAPI Restriction. In some
	  circumstances -
	  while Outlook creates an OOF Rules - it sets a PT_SRESTRICT mapi
	  property tag which value is set to 0xFF. However 0xFF doesn't
	  match
	  any restriction case.

2008-06-01  jkerihuel

	* [r582] - Add IDL for OpenEmbeddedMessage (0x46) MAPI call

2008-06-01  jkerihuel

	* [r581] - Add IDL for ReloadCachedInformation (0x10) MAPI call

2008-06-01  jkerihuel

	* [r580] - Add IDL for CopyTo (0x39) MAPI call

2008-06-01  bradh

	* [r579] Add missing part of mapitest for SetReadFlags
	  
	  This should have been part of r578.

2008-06-01  bradh

	* [r578] mapitest for SetReadFlags

2008-06-01  bradh

	* [r577] Implement SetReadFlags (operation 0x66).
	  
	  Also minor API docs fix.

2008-06-01  bradh

	* [r576] Move some test infrastructure from the oxctable.c module
	  into the common area.

2008-06-01  bradh

	* [r575] Fix IDL error for SetReadFlags, and use existing flags
	  define (MSGFLAGS_READ) instead of creating a new set.

2008-06-01  bradh

	* [r574] Build fix for relocation of mapiproxy/ to be under the
	  top level directory (instead of under the utils/
	  directory)

2008-06-01  jkerihuel

	* [r573] - Update the Samba4 GIT revision needed to run openchange
	  properly

2008-06-01  jkerihuel

	* [r572] - import mapiproxy project from mapiproxy branch
	  - add custom proxypack MAPI call
	  - remove deprecated dcesrv_exchange_remote

2008-05-31  jkerihuel

	* [r571] merge from mapiproxy branch:
	  * ndr_push Logon_req manually

2008-05-31  jkerihuel

	* [r568] merge from mapiproxy branch:
	  * Add IDL and server boiler template for EcDoConnectEx (0xA)
	  EMSMDB RPC function
	  
	  * Fix ndr_push_mapi_response code in ndr_mapi.c
	  
	  * Add the ndr_push_EcDoRpc_MAPI_REPL function in
	  ndr_mapi.c. Handles special Notify and Pending cases
	  
	  * Handle op_MAPI_Pending case properly in
	  ndr_pull_EcDoRpc_MAPI_REPL
	  
	  * Add code to ndr_push QueryRows in ndr_mapi.c: Do not push any
	  DATA_BLOB if there is no RowCount

2008-05-31  jkerihuel

	* [r565] merge from mapiproxy branch:
	  * Fix GetReceiveFolder [out] IDL
	  * Fix some naming convention typo

2008-05-31  jkerihuel

	* [r564] merge from mapiproxy branch:
	  * Fix SetMessagReadFlag [out] IDL

2008-05-31  jkerihuel

	* [r563] - Add [flag(NDR_REMAINING)] to SetMessageReadFlag. This is
	  not
	  perfect, but it will prevent mapiproxy from ndr_pull error while
	  setting message read flag on public folders messages.

2008-05-31  jkerihuel

	* [r562] merge from mapiproxy branch:
	  * Fix CreateMessage [out] IDL

2008-05-31  jkerihuel

	* [r561] merge from mapiproxy branch:
	  * rename OpenModeFlags to OpenFolder_OpenModeFlags in OpenFolder
	  * rewrite OpenMessage [in] IDL and report changes in
	  libmapi/IStoreFolder.c

2008-05-31  jkerihuel

	* [r560] merge from mapiproxy branch:
	  * Add IDL for Pending (0x6e) MAPI call
	  * Reorder some MAPI calls in EcDoRpc_MAPI_REPL_UNION

2008-05-31  jkerihuel

	* [r559] - Add SetReadFlags to EcDoRpc_MAPI_{REQ,REPL}_UNION

2008-05-31  jkerihuel

	* [r558] merge from mapiproxy branch:
	  * Add IDL for SetSyncNotificationGuid (0x88) MAPI call

2008-05-31  jkerihuel

	* [r557] merge from mapiproxy branch:
	  * Add IDL for SyncGetTransferState (0x82) MAPI call

2008-05-31  jkerihuel

	* [r556] merge from mapiproxy branch:
	  * Add IDL for SyncImportReadStateChanges (0x80) MAPI call
	  
	  Note: This IDL is temporary and should be improved after
	  completion of
	  the merging process.

2008-05-31  jkerihuel

	* [r555] merge from mapiproxy branch:
	  * Add IDL for SyncOpenCollector (0x7e) MAPI call

2008-05-31  jkerihuel

	* [r554] merge from mapiproxy branch:
	  * Add IDL for DeletePropertiesNoReplicate (0x7a) MAPI call

2008-05-31  jkerihuel

	* [r553] merge from mapiproxy branch:
	  * Add IDL for SyncImportMessageMove (0x78) MAPI call

2008-05-31  jkerihuel

	* [r552] merge from mapiproxy branch:
	  * Add IDL for SyncUploadStateStreamBegin (0x75) MAPI call
	  * Add IDL for SyncUploadStateStreamContinue (0x76) MAPI call
	  * Add IDL for SyncUploadStateStreamEnd (0x77) MAPI call

2008-05-31  jkerihuel

	* [r551] merge from mapiproxy branch:
	  * Add IDL for SyncImportDeletes (0x74) MAPI call

2008-05-31  jkerihuel

	* [r550] merge from mapiproxy branch:
	  * Add IDL for SyncImportHierarchyChange (0x73) MAPI call

2008-05-31  jkerihuel

	* [r549] merge from mapiproxy branch:
	  * Add IDL for SyncImportMessageChange (0x72) MAPI call

2008-05-31  jkerihuel

	* [r548] merge from mapiproxy branch:
	  * Add IDL for SyncConfigure (0x70) MAPI call

2008-05-31  jkerihuel

	* [r547] merge from mapiproxy branch:
	  * Add IDL for RegisterOptions (0x6f) MAPI call
	  
	  Note: This call is undocumented in Microsoft documentation, but
	  MSDN
	  RegisterOptions function generates this call on the wire.

2008-05-31  jkerihuel

	* [r546] merge from mapiproxy branch:
	  * Add IDL for Progress (0x50) MAPI call

2008-05-31  jkerihuel

	* [r545] merge from mapiproxy branch:
	  * Add IDL for FastTransferSourceGetBuffer (0x4a) MAPI call

2008-05-31  jkerihuel

	* [r544] merge from mapiproxy branch:
	  * Add IDL for GetPerUserLongTermIds (0x60) MAPI call
	  * Add IDL for GetPerUserGuid (0x61) MAPI call
	  * Add IDL for ReadPerUserInformation (0x63) MAPI call

2008-05-31  jkerihuel

	* [r543] merge from mapiproxy branch:
	  * Add IDL for LongTermIdFromId (0x43) MAPI call
	  * Add IDL for IdFromLongTermId (0x44) MAPI call

2008-05-31  jkerihuel

	* [r542] merge from mapiproxy branch:
	  * Add IDL for ModifyRules (0x41) MAPI call

2008-05-31  jkerihuel

	* [r541] merge from mapiproxy branch:
	  * Add PT_SRESTRICT support in mapi_SPropValue_CTR
	  
	  * Add PT_ACTIONS and RuleAction support in mapi_SPropValue_CTR
	  
	  * Fix mapi_SNotRestriction NDR push routine - add a wrapper to
	  work around the no-pointer deep recursion pb and remove
	  existing nopull,nopush,noprint code from ndr_mapi.c
	  
	  * Fix mapi_SComment_Restriction IDL
	  

2008-05-31  jkerihuel

	* [r540] - Introduce PT_MV_UNICODE support in mapi_SPropValue_CTR
	  (IDL only)
	  - use mapi_LPWSTR for PT_MV_UNICODE
	  - rename mapi_LPWSTR structure to mapi_name in Kind structure and
	  change its field names.

2008-05-31  bradh

	* [r539] API docs typo fix.

2008-05-31  bradh

	* [r538] Minor API documentation fixes.

2008-05-31  bradh

	* [r537] Update label to reflect SetReadFlags -> SetMessageReadFlag
	  renaming.
	  
	  This should have been part of r529 - missed it.

2008-05-31  jkerihuel

	* [r536] - Fix emsmdb version
	  - Change MAPI opnum enum identation -- Helps to fine down merging
	  from
	  mapiproxy branch

2008-05-30  jkerihuel

	* [r535] merging from mapiproxy branch:
	  - Fix MV_UNICODE_STRUCT and unicode strings
	  - Keep LPWSTR for exchange_nsp and move from LPWSTR to
	  mapi_LPWSTR for exchange_emsmdb
	  - Add the NspiGetTemplateInfo IDL
	  - Fix the NspiUpdateStat IDL

2008-05-30  jkerihuel

	* [r534] Fix build: SetMessageReadFlag function name was not
	  propagated in the
	  module_oxcmsg.c

2008-05-30  jelmer

	* [r533] Use right directory for samba4_ver.sh script.

2008-05-30  jelmer

	* [r532] Use common location for Samba 4 git revision.

2008-05-30  bradh

	* [r529] Initial merge of changes for rename of SetReadFlags to
	  SetMessageReadFlags (op 0x11) and IDL for SetReadFlags
	  (op 0x66).

2008-05-30  bradh

	* [r528] Use private_data instead of private, for C++ happiness.

2008-05-30  bradh

	* [r527] Minor cleanup. Using "try" confuses my c++ compiler...

2008-05-30  bradh

	* [r526] This is really part of r525. It moved to IMAPITable.c

2008-05-30  bradh

	* [r525] Update the table operations:
	  - implement ExpandRow and CollapseRow
	  - implement GetCollapseState and SetCollapseState
	  - add mapitest coverage for the above, plus the Restrict call
	  - implement ResetTable
	  - implement FreeBookmark
	  - add mapitest coverage for SRowSet parsing code
	  - minor IDL fixes
	  - various API documentation bits

2008-05-27  bradh

	* [r522] Use PT_ERROR where appropriate.

2008-05-27  bradh

	* [r521] Update the SRowSet parser, fixing breakage I introduced.

2008-05-26  jelmer

	* [r520] Don't rely on absolute file paths since the distribution
	  may be installing
	  in other locations.

2008-05-26  jelmer

	* [r519] make scripts executable.

2008-05-26  bradh

	* [r518] Update examples to reflect recent API changes.

2008-05-25  bradh

	* [r515] Avoid segfaulting if you ask for a specific test or tests
	  and
	  forgot to start the server.
	  
	  Here is an example:
	  [bradh@conferta trunk]$ ./bin/mapitest
	  --mapi-calls=OXCTABLE-CATEGORY --mapi-calls=OXCTABLE-RESTRICT
	  --mapi-calls=NOSERVER-LZFU
	  Failed to connect host 192.168.11.77 on port 135 -
	  NT_STATUS_HOST_UNREACHABLE
	  Failed to connect host 192.168.11.77 (192.168.11.77) on port 135
	  - NT_STATUS_HOST_UNREACHABLE.
	  MapiLogonEx : MAPI_E_RESERVED (0xFFFFFFFF)
	  #############################[mapitest
	  report]#################################
	  [*] Date : Sun May 25 11:45:29 2008
	  [*] Confidential mode : [no]
	  [*] Samba Information : 4.0.0alpha4-GIT-44d8b70
	  [*] OpenChange Information : 0.8-SVN-build-510 (Romulus)
	  
	  [*] System Information :
	  Kernel name : Linux
	  Kernel release : 2.6.23.17-88.fc7
	  Processor : x86_64
	  ###############################################################################
	  
	  
	  [*] NOSERVER-LZFU
	  [TEST] NOSERVER-LZFU
	  ------------------------------------------------------------------------
	  * uncompress_rtf2 : 0x00000000
	  * uncompress_rtf2 : PASSED
	  ------------------------------------------------------------------------
	  [RESULT] NOSERVER-LZFU: [SUCCESS]
	  ========================================================================
	  
	  [*] OXCTABLE-RESTRICT
	  Server is offline, skipping test: "OXCTABLE-RESTRICT"
	  [*] OXCTABLE-CATEGORY
	  Server is offline, skipping test: "OXCTABLE-CATEGORY"

2008-05-24  bradh

	* [r510] ignores objects that contain invalid handlers in
	  mapi_object_release().
	  
	  Patch by Alan Alvarez. Compile tested, passes mapitest on
	  SBS2003.

2008-05-23  bradh

	* [r507] Fix API documentation to match signature.

2008-05-20  bradh

	* [r504] Update QueryRows IDL and implementation to match
	  msdn documentation.
	  
	  The main work here is reworking the SRowSet parsing
	  routine.

2008-05-18  bradh

	* [r501] Typo fix - allow cleanup to work properly.

2008-05-17  bradh

	* [r497] Make sure it has a return value.

2008-05-11  jelmer

	* [r496] Make sure nagios directory gets created if it didn't exist
	  yet.

2008-05-11  bradh

	* [r495] Rename GetColumns remote operation to GetColumnsAll, and
	  fix up IDL and implementation to match.
	  
	  Add some more unit test coverage, and pretty-up the
	  output a little.

2008-05-11  bradh

	* [r494] Fix up breakage introduced in r493.

2008-05-10  bradh

	* [r493] Refactor the unit tests.
	  
	  Extract out the setup and some of the cleanup code.

2008-05-08  jelmer

	* [r492] Look a little bit harder for the Samba installation.

2008-05-08  jkerihuel

	* [r490] - Update openchange code to work with Samba4
	  4.0.0alpha4-GIT-44d8b70
	  - Use event_context structure
	  - update installsamba4.sh script to revert to this revision.
	  - update torture modulesdir reference

2008-05-05  jkerihuel

	* [r489] - Add GetLocalReplicaIds MAPI call (IDL + implementation +
	  mapitest)
	  - Add OXCFXICS mapitest module

2008-05-03  jkerihuel

	* [r488] - Fix "the very secret" openchange coding style
	  - Add Copyright for our humble new libmapi developer ;-)

2008-05-03  bradh

	* [r487] Implement the CopyProperties operation, including
	  a mapitest for this.

2008-05-02  jelmer

	* [r486] Make sure config.mk is the last file removed during
	  distclean.

2008-05-02  jkerihuel

	* [r485] - Add TransportSend MAPI call (IDL + implementation +
	  mapitest). This
	  code maybe needs some review regarding memory.

2008-05-02  jkerihuel

	* [r484] - Add the GetTransportFolder MAPI call (IDL +
	  implementation +
	  mapitest)

2008-05-02  jkerihuel

	* [r483] - Add SpoolerLockMessage MAPI call (IDL + implementation +
	  mapitest)

2008-05-02  jkerihuel

	* [r482] - Add SetSpooler MAPI call (IDL + implementation +
	  mapitest)

2008-05-02  jkerihuel

	* [r481] - Add GetRulesTable (IDL + implementation + mapitest)
	  - Add the OXORULE mapitest suite

2008-05-02  bradh

	* [r480] Typo fix.

2008-05-01  jkerihuel

	* [r479] - Add the Abort MAPI call (IDL + implementation)
	  
	  OpenChange doesn't support yet asynchronous operation which
	  explains
	  why no associated mapitest test has been implemented. This should
	  be
	  done in the future.

2008-05-01  jkerihuel

	* [r478] - Add the MoveFolder MAPI call (IDL + implementation +
	  mapitest)
	  - Fix some typo in mapitest doxygen

2008-05-01  jkerihuel

	* [r477] - Add MoveFolder MAPI call (IDL + implementation +
	  mapitest)
	  - Fix some doxygen stuff
	  - add a common function within mapitest which looks for a folder
	  name
	  within a container and return the opened folder object on
	  success.

2008-05-01  jkerihuel

	* [r476] Add auto-generated Doxyfile to the svn ignore list

2008-05-01  jkerihuel

	* [r475] - Add AbortSubmit MAPI call (IDL + implementation +
	  mapitest)

2008-05-01  bradh

	* [r474] Clean up / flush the stream after use.
	  
	  Saves a bit more "still reachable" in valgrind too.

2008-05-01  jkerihuel

	* [r473] - Uninitialize MAPI and general memory context at the end
	  of mapitest

2008-04-30  jelmer

	* [r472] Remove duplicate use of $(SHLIBEXT).

2008-04-30  bradh

	* [r471] Make sure the version shown for mapitest documentation
	  is automatically set to match the package version.

2008-04-30  jkerihuel

	* [r470] - Rename CopyMessages to MoveCopyMessages
	  - Improve IDL + implementation and mapitest added

2008-04-30  jelmer

	* [r469] Avoid parallel builds for now.

2008-04-30  bradh

	* [r468] complete the rest of the API documentation autonumbering.

2008-04-29  jkerihuel

	* [r467] Fix GetContentsTable binding in perl swig

2008-04-29  jkerihuel

	* [r466] - Improve the GetHierarchyTable and GetContentsTable IDL
	  and public
	  IDL implementation (new parameters in,out)

2008-04-29  bradh

	* [r465] Initial part of automatic list numbering for doxygen
	  comments.
	  
	  This doesn't work correctly with the current apidocs.css, which
	  turns the list numbers into bullet points for reasons I don't
	  understand.

2008-04-28  jkerihuel

	* [r464] - Improve the DeleteMessages IDL request

2008-04-28  jkerihuel

	* [r463] - Update libmapi version from 0.7 to 0.8
	  
	  - Public API change for the GetReceiveFolder function; now takes
	  a
	  message class as 3rd parameter.

2008-04-28  jelmer

	* [r459] Allow cleaning individual parts.

2008-04-28  jkerihuel

	* [r458] - Improve GetSearchCriteria request IDL (unknown removed)
	  - update libmapi copyright headers 2007 -> 2007-2008.

2008-04-28  jkerihuel

	* [r457] - Improve the SubmitMessage IDL
	  - minor indentation fixed in IMessage.c

2008-04-28  jkerihuel

	* [r456] - Add CopyToStream MAPI call (IDL + implementation +
	  mapitest)

2008-04-28  jkerihuel

	* [r455] - Add SeekStream MAPI call (IDL + implementation +
	  mapitest)
	  - Add SetStreamSize MAPI call (IDL + implementation + mapitest)

2008-04-28  jkerihuel

	* [r454] - Add CommitStream MAPI call (IDL + implementation +
	  mapitest)
	  - Add GetStreamSize MAPI call (IDL + implementation + mapitest)
	  - refactor the stream test to include all stream related
	  operations
	  - add a common function which generates a random ASCII blob of
	  data

2008-04-28  bradh

	* [r453] Add doxygen support for the mapitest examples.

2008-04-27  jkerihuel

	* [r452] - Add GetStatus call (IDL + implementation + mapitest)

2008-04-27  jkerihuel

	* [r451] - Fix format string problem in mapitest headers

2008-04-27  jkerihuel

	* [r450] Run offline suites by default.

2008-04-27  jkerihuel

	* [r449] - Introduce the online/offline mode for suite
	  - Fix Exchange headers print bug when server is offline
	  - reset errno to 0 before running new test

2008-04-27  jelmer

	* [r448] Remove bashisms in installsamba4.sh

2008-04-27  bradh

	* [r447] Install the libmapiadmin.h header.

2008-04-27  bradh

	* [r446] Fix a compile-time warning on amd64, for the second
	  argument to the getline() call - incompatible pointer
	  type.
	  
	  I'm assuming that size_t is equivalent to uint32_t
	  on a 32-bit architecture, but not on a 64-bit arch.
	  
	  A quick test showed no difference in actual output.

2008-04-26  jkerihuel

	* [r445] - Add ReadRecipients MAPI call (IDL + implementation +
	  mapitest)
	  - Improve some ModifyRecipients and Recipients structure naming

2008-04-25  jkerihuel

	* [r444] - Add RemoveAllRecipients call (IDL + implementation +
	  mapitest)

2008-04-25  jkerihuel

	* [r443] - Add OpenPublicFolderByName call added (IDL and
	  implementation).
	  
	  - Note: the reply IDL doesn't handle Server and ServerCount yet.
	  
	  - Note: this call only refers to NNTP folders (e.g: folders
	  located
	  within "Internet Newsgroups". If developers use this call within
	  "All
	  Public Folders", then the call with return MAPI_E_NOT_FOUND.
	  
	  - Call not added to mapitest cause it require RightsAuthor
	  permissions
	  on Internet Newsgroups which is not the case by default.
	  
	  - dump-data and debug options added to mapitest
	  - FOLDER suite renamed to OXCFOLD (naming convention)

2008-04-25  jelmer

	* [r442] Add proto headers to ignore file.

2008-04-25  jkerihuel

	* [r441] Rename module folder to oxcfold

2008-04-25  jkerihuel

	* [r440] Replace the existing mapitest tool with a new
	  implementation. It is
	  less complete but more modular.

2008-04-20  bradh

	* [r439] Add BEGIN_DECLS for private_proto.h.

2008-04-20  jkerihuel

	* [r438] OpenFolder request: replace unknown field with
	  OpenModeFlags

2008-04-20  jkerihuel

	* [r437] - Rename 0xFE opnum from OpenMsgStore to Logon
	  - Update the Logon request IDL

2008-04-20  bradh

	* [r436] Add forgotten part of rev435.

2008-04-20  bradh

	* [r435] Add unit test framework for compressed RTF decoding.
	  
	  Refactor lzfu.c to improve testability.

2008-04-19  jkerihuel

	* [r434] Fix openchangeclient --mailbox --pf with wasn't launched
	  anymore due
	  to some incorrect sanity check tests.

2008-04-19  jkerihuel

	* [r433] - Remove deprecated fuzzer_msgstore torture test
	  - replace mapi_flags with logon_id in EcDoRpc_MAPI_REQ

2008-04-16  bradh

	* [r432] A couple of minor fixes to make it read better.

2008-04-16  jelmer

	* [r431] properly clean up sofiles

2008-04-16  jelmer

	* [r430] Import exchange nagios check script by Bill Edmunds.

2008-04-16  jelmer

	* [r429] Add support for creating libocpf soname symlink.

2008-04-16  jelmer

	* [r428] Use standard include for uint64_t definition.

2008-04-16  jelmer

	* [r427] Cleanup talloc and tdb before building samba4.

2008-04-14  jkerihuel

	* [r426] Check for ocpf_set_Recipients retval (MAPI_E_NOT_FOUND)

2008-04-14  jkerihuel

	* [r425] - Reset ocpf to NULL after release so the
	  ocpf_init/release couple can be called more than once.
	  - Sanity check on recipient, avoid parsing if no recipient is
	  set. Return MAPI_E_NOT_FOUND instead.

2008-04-14  jkerihuel

	* [r424] Add reference to the ocpf lib within the pc file.

2008-04-09  jelmer

	* [r423] Remove duplicate SWIG instructions (already covered by
	  stdint.i).

2008-04-09  jelmer

	* [r422] Ignore files created by swig.

2008-04-09  jelmer

	* [r421] Use config.mk in swig/perl/Makefile.

2008-04-09  jelmer

	* [r420] Allow sambaprefix and prefix to be different. Allow
	  building with unknown
	  Samba git revisions (will still warn though).

2008-04-09  jelmer

	* [r419] Add --with-samba argument to configure so samba and
	  openchange can be installed in different directories.

2008-04-08  jkerihuel

	* [r418] Add domain to the mapiprofile dump output.

2008-04-08  jkerihuel

	* [r417] Fix OpenMessage IDL and GetRecipientTable fetched data
	  
	  -This line, and those below, will be ignored--
	  
	  _M trunk
	  M trunk/exchange.idl
	  M trunk/libmapi/IStoreFolder.c
	  M trunk/libmapi/emsmdb.c
	  M trunk/libmapi/IMessage.c

2008-04-07  jelmer

	* [r416] Fix typo, change samba-config -> samba-hostconfig.

2008-04-06  jkerihuel

	* [r415] - Add openchangepfadmin to make install
	  - Add openchangemapidump and locale_codepage to make clean

2008-04-05  jelmer

	* [r413] Merge the samba4-latest branch.

2008-04-03  jkerihuel

	* [r408] Revert so version number to 0.7

2008-04-03  jkerihuel

	* [r407] Fix Perl bindings: update mapidump_message

2008-04-03  bradh

	* [r406] API documentation update.

2008-04-03  jkerihuel

	* [r405] ** Start libmapi-0.8 ROMULUS development **

2008-04-03  jelmer

	* [r403] Fix some typos.

2008-04-03  jkerihuel

	* [r402] Add ChangeLog and apidocs to the releases

2008-04-03  jkerihuel

	* [r400] - Delete unmaintained regression suite
	  - Fix typo error in torture-clean rule

2008-04-03  jkerihuel

	* [r399] Add modified release script originally from
	  abartlett/samba4

2008-04-03  jkerihuel

	* [r398] - Check for specific Samba4 git revision in configure.ac
	  - Prefix locale functions with lcid and make them _PUBLIC_

2008-04-02  jkerihuel

	* [r397] Add installation script for samba4

2008-04-02  jkerihuel

	* [r396] - Apply the nspi pointer patch - make openchange works
	  with
	  samba4-alpha3 git 41309dc
	  
	  - update howto.txt

2008-04-02  bradh

	* [r390] Move the top level API documentation to an "overview"
	  section and add a redirect to that overview.
	  
	  This keeps the doxygen output more nicely separated for
	  packaging.
	  
	  Also, generate the man pages where the install expects
	  to find them.

2008-04-01  jkerihuel

	* [r388] - Fix strsep bug in openchangeclient
	  - Add RECIPIENT support to libocpf

2008-04-01  jkerihuel

	* [r383] - escape/unescape strings support added
	  - PT_MV_STRING8 type added to OCPF write API

2008-03-31  jkerihuel

	* [r382] - return MAPI_E_NOT_FOUND if NspiGetMatches doesn't return
	  any results
	  (based upon patch from lofi@mountproc.org)
	  - makes the workstation parameter of mapiprofile optional (use
	  gethostname if not defined by the user on command line)

2008-03-31  jkerihuel

	* [r381] - Fix an allocation memory problem in cast_SPropValue
	  - update svn:ignore proplist

2008-03-30  jkerihuel

	* [r380] Update the documentation build so it keeps generating an
	  embedded
	  website in with apidocs/html as root directory.

2008-03-30  bradh

	* [r379] Split API documentation into two separate sections - one
	  for libmapi and one for libocpf.
	  
	  Also add in a top level intro page.

2008-03-30  jkerihuel

	* [r378] - Add support for PT_UNICODE and PT_SHORT to libocpf
	  - Initial implementation of the libocpf write API
	  - Update libocpf documentation
	  - add --ocpf-dump option in openchangeclient
	  - Fix realdistclean rules for server
	  - add cast_SPropValue function to libmapi/property.c which cast
	  mapi_SPropValue to SPropValue

2008-03-27  jkerihuel

	* [r376] New build system which gathers a list of things that can
	  be built with
	  the libraries/utilities the user has installed and build that
	  when
	  "make all" is run.

2008-03-26  jkerihuel

	* [r375] Add missing allocation for OLEGUID

2008-03-26  jkerihuel

	* [r373] --ocpf-syntax doesn't require MAPI to be initialized.
	  Furthermore
	  makes ocpf-syntax "exclusive" (quit after performing the
	  operation).

2008-03-26  bradh

	* [r372] r371 was bad. What was I thinking with that nonsense!
	  
	  Revert to something sane.

2008-03-26  bradh

	* [r371] Make the ./bin/ directory if it doesn't exist.
	  
	  This should resolve ticket #33.

2008-03-23  bradh

	* [r370] Improve language handling when creating profiles.
	  
	  You can now get a list of valid languages and use either
	  the language code ID or the language name to specify what
	  language later versions of Exchange should reply with.

2008-03-23  bradh

	* [r369] Typo fix - duplicate ; at the end of the structure.

2008-03-23  bradh

	* [r368] Match format to unsigned int argument.

2008-03-23  bradh

	* [r367] Make the format specifier match the unsigned argument.

2008-03-22  jkerihuel

	* [r366] propset svn:ignore update

2008-03-22  jkerihuel

	* [r365] Update propset svn:ignore on doc/examples and libocpf
	  targets

2008-03-22  jkerihuel

	* [r364] - Fix ticket #29: http://trac.openchange.org/ticket/29
	  
	  - use access(2) to see if the database already exists
	  - test if the profile already exists prior trying to add it
	  - add descriptive error messages
	  - catch CTRL-C signal and run a profile deletion routine

2008-03-22  bradh

	* [r363] Update API documentation for ocpf_nproperty_add().

2008-03-22  bradh

	* [r362] Typo fix.

2008-03-16  jkerihuel

	* [r361] Fix mapidump_message call parameters

2008-03-13  jkerihuel

	* [r360] Add fid/mid parameters to mapidump_message and changed
	  openchangeclient_fetchitems to reflect these changes.

2008-03-13  jkerihuel

	* [r359] Patch from Brad Hards <bradh@frogmouth.net>:
	  updates the OCPF doxygen file.

2008-03-13  jkerihuel

	* [r358] Patch from Brad Hards <bradh@frogmouth.net>:
	  adds the doc/examples into the build system and enables make
	  examples.

2008-03-13  jkerihuel

	* [r357] Patch From Brad Hards, <bradh@frogmouth.net>:
	  API documentation update and minor fix for the error value
	  change.

2008-03-09  jelmer

	* [r355] Update bzr ignores.

2008-03-06  jkerihuel

	* [r354] - Add PT_BINARY property support to OCP
	  - Add stream support to OCPF for large PT_BINARY blobs.
	  - Fix a bug which prevented from having no/empty PROPERTY or
	  NPROPERTY
	  sections.

2008-03-05  jkerihuel

	* [r353] - Prevent from assigning a value which type doesn't match
	  with
	  the property one.
	  - Add missing substitution variable support for some named
	  properties
	  declaration
	  - Improve sample_appointment.ocpf example
	  - Add PT_MV_STRING8 keyword to the list of supported property
	  type
	  identifiers.

2008-03-04  jkerihuel

	* [r352] Improve OCPF PT_MV_STRING8 support.

2008-03-04  jkerihuel

	* [r351] - Initial revision for libocpf and its documentation
	  - YACC support added to the build system
	  - custom lid and string support in mapi_nameid
	  - lookup functions added for OOM, lid and string
	  - OCPF commands added to openchangeclient (ocpf-file,
	  ocpf-syntax,
	  ocpf-sender)
	  - PR_FID displayed in openchangeclient --mailbox
	  - PT_MV_STRING8 support added to cast_mapi_SPropValue

2008-03-02  jkerihuel

	* [r350] Patch from Brad Hards <bradh@frogmouth.net>:
	  updates code to build with current API

2008-03-02  jkerihuel

	* [r349] Patch from Brad Hards <bradh@frogmouth.net>:
	  little update for some API dox

2008-02-21  jkerihuel

	* [r348] - Add --update option to openchangeclient and allow users
	  to modify
	  existing messages (calendar, task, contact, note)
	  - Add --delete option to openchangeclient and allow users to
	  delete
	  existing messages (calendar, task, contact, note)
	  - Add some folder/message unique ID to mapidump outputs and send*
	  openchangeclient functions.
	  - Fix a bug in set_SPropValue: add sanity check on unicode
	  string. Thanks to Suman Manjunath for this patch.
	  - Fix mapidump_task function and identifiers of named properties
	  used.

2008-02-19  jkerihuel

	* [r347] Fix missing sanity check on priority

2008-02-19  jkerihuel

	* [r346] Fix a bug in openchangeclient when tasks are created
	  without body

2008-02-19  jkerihuel

	* [r345] private flag added to openchangeclient appointments

2008-02-19  jkerihuel

	* [r344] Fix folder IDs problem for Exchange 2007 SP1

2008-02-09  jkerihuel

	* [r343] Fix names IDL against Samba4 4.0.0alpha3-GIT-41309dc

2008-01-24  jkerihuel

	* [r342] - Fix a bug in IStoreFolder.c:OpenMessage which was also
	  affecting
	  GetRecipientTable. We were extending SPropTagArray prior calling
	  emsmdb_get_SRow. This was causing ndr_pull_error in
	  OpenMessage_repl
	  and erroneous data to be inserted in the SRow.
	  
	  - Fix libmapi/socket/interface.c:
	  - Use the latest version from Samba4 which removes reference to
	  global_loadparm.
	  - Moves struct interface declaration to netif.h
	  - Report changes to emsmdb.c notification functions.
	  
	  - Change GetGALTable prototype to match general libmapi policy.
	  Remove
	  the usage of bool and replace it with uint8_t. Possible values
	  added
	  to mapidefs.h

2008-01-22  jkerihuel

	* [r341] - Improve NspiQueryRows IDL and implementation
	  - Add GetGALTable implementation: fetch all the Global Address
	  List
	  recipients
	  - Add --userlist option to openchangeclient
	  - Add a convenient and basic dumping function for Global Address
	  List
	  recipients.

2008-01-22  jkerihuel

	* [r340] - Improve OpenMessage reply IDL
	  - Fetch mapi recipients from OpenMessage reply
	  - Add GetRecipientTable convenient function
	  - Add OPENCHANGE-MAPI-RECIPIENT torture test to test
	  GetRecipientTable implementation.
	  - Add convenient SPropTagArray_add function
	  - Add internal emsmdb_get_SRow routine

2008-01-21  jkerihuel

	* [r339] Patch from Suman Manjunath <msuman@novell.com>:
	  
	  - Adds named-properties which define recurrence patterns for
	  appointment and task.
	  - Adds named properties for appointment timezone

2008-01-21  jkerihuel

	* [r338] - Fix the SNotRestriction IDL and write custom
	  push,pull,print
	  functions
	  - Add 2 new MAPI calls to the IDL:
	  * GetSearchCriteria,
	  * SetSearchCriteria
	  - add sample {Get,Set}SearchCriteria torture test
	  - add convenient mapi_id_array implementation
	  - add GetDefaultFolder support for CommonView and Finder folders

2008-01-20  jelmer

	* [r337] Make sure directory exists.

2008-01-18  jkerihuel

	* [r336] - Fix tiny 'nail down samba4 version' bug
	  - update the minimal Samba4 required version

2008-01-18  jkerihuel

	* [r335] - Add FindRow call to the IDL
	  - Improve mapi_Restriction support
	  - Remove deprecated ndr_print_QueryRows function
	  - Add a print function for fuzzyLevel
	  - Add preliminary FindRow implementation test to
	  MAPI-RESTRICTIONS
	  torture test
	  - Add couple of new MAPI tags to mapi-properties
	  - change initial bookmark index to 3

2008-01-16  jkerihuel

	* [r334] - Add 2 new MAPI calls to the IDL and mapitest:
	  * SetReceiveFolder
	  * GetReceiveFolderTable
	  
	  - Fix a bug in the SortTable test when no messages are returned
	  by
	  QueryRows

2008-01-16  jkerihuel

	* [r333] - Add SeekRowApprox to the IDL and mapitest
	  - Fix some doxygen typo

2008-01-16  jkerihuel

	* [r332] - New calls added to the IDL, torture suite and mapitest:
	  * CreateBookmark
	  * SeekRowBookmark
	  - Internal mapi_object_bookmark_t implementation added to
	  mapi_object_table_t
	  - SBinary_short default ndr_print function changed to custom

2008-01-14  jkerihuel

	* [r331] Temporary fixes unexpected segfault in SortTable test.
	  Emails sent
	  during the Submit test have sometimes not yet been dispatched
	  when the
	  SortTable test begins. This fix adds a sleep(1) and an arbitrary
	  number of attempts (5).

2008-01-14  jkerihuel

	* [r330] Add 2 new MAPI calls to the IDL and libmapi:
	  * AddressTypes
	  * SortTable
	  
	  Tests for SortTable added to mapitest and the torture suite
	  Test for AddressTypes added to mapitest.

2008-01-13  jkerihuel

	* [r329] Fix perl bindings and fetchmail test

2008-01-13  jkerihuel

	* [r328] 2 new MAPI call added to the IDL and mapitest:
	  * GetMessageStatus
	  * SetMessageStatus

2008-01-11  jkerihuel

	* [r327] - Add DeleteAttach MAPI call
	  - Add new mapi unit tests:
	  * QueryColumns
	  * CreateAttach
	  * SaveChanges
	  * GetAttachmentTable
	  * DeleteAttach
	  - Update mapitest README
	  - Add some convenient functions to mapitest_common.c

2008-01-10  jkerihuel

	* [r326] Add a preliminary draft of the mapitest standalone MAPI
	  test suite.

2008-01-05  jelmer

	* [r325] DESTDIR should never get into any source files, that would
	  defeat its purpose.

2008-01-05  jkerihuel

	* [r324] Add missing files

2008-01-05  jkerihuel

	* [r323] - Fix the build with the latest Samba4 version.
	  
	  - Add a basic libmapi/version.h auto-generated
	  file (based on Samba4 one)
	  - Remove some warnings when compiling the utf8
	  lexer
	  - Add a emsmdb_info structure to fetch some
	  information from the Exchange server
	  
	  WARNING: Please note that EMSABP is definitely broken and
	  requires a review and update.

2008-01-04  jkerihuel

	* [r322] Fix the torture suite.

2007-12-28  jelmer

	* [r321] provide extra required argument.

2007-12-28  jelmer

	* [r320] Store a loadparm context in the global mapi context.

2007-12-28  jelmer

	* [r319] Deal with samba version.h's that don't contain the
	  Subversion revision.

2007-12-15  jelmer

	* [r318] Use SWIG-provided typemaps for stdint.

2007-11-29  ali

	* [r317] Fix Content-Type field in exchange2mbox
	  Reported by Yuriy Filatov <yuriy.filatov@gmail.com>

2007-11-28  jkerihuel

	* [r316] - Improve the CreateMessage IDL
	  - Add new parameters to IMAPIFolder CreateMessage libmapi
	  function
	  - Add --mkdir --rmdir options to openchangeclient
	  - Update the CreateFolder API and openchangeclient documentation
	  - Fix CreateFolder calls in openchange tools and torture suite
	  - Fix gendb_search warning

2007-11-25  jkerihuel

	* [r315] Add new PSETID_Address named properties

2007-11-25  jkerihuel

	* [r314] Fix a few code convention typos
	  
	  Patch from Suman Manjunath <msuman@novell.com> applied:
	  converts a 'struct timeval' to 'NTTIME'.
	  minor extension of 'set_SPropValue_proptag', used while setting
	  PT_SYSTIME properties.

2007-11-21  jkerihuel

	* [r313] update Samba4 first revision to 26100

2007-11-21  jelmer

	* [r312] Cope with ndr updates.

2007-11-12  jkerihuel

	* [r311] Patch from Brad Hards: Fix possible Heap overflow in lzfu
	  code

2007-11-07  jkerihuel

	* [r310] Fix profile creation in a clustered Exchange 2007
	  environment.

2007-11-02  jkerihuel

	* [r309] Fix QueryColumns req size.

2007-11-01  jkerihuel

	* [r308] ** Start libmapi-0.7 PHASER development **
	  
	  add --dump-data option to mapiprofile for debugging purpose

2007-10-31  jkerihuel

	* [r306] openchangepfadmin (1) man page added

2007-10-31  jkerihuel

	* [r305] Store messageID in the object when SaveChangesMessage is
	  called

2007-10-31  jkerihuel

	* [r304] Nail down Samba4 version for libmapi-0.6

2007-10-30  jkerihuel

	* [r303] - Add PR_MSG_EDITOR_FORMAT property to the sendmail
	  operation
	  - Fix body dump bug when PR_MSG_EDITOR_FORMAT property is missing
	  (default set to PLAINTEXT)
	  - Continue to process the mailbox when a problem is encountered
	  with mesage contents (not attachment)
	  - Fix a typo bug in openchangeclient body help string

2007-10-30  jkerihuel

	* [r302] Update doxygen section

2007-10-29  jkerihuel

	* [r301] - Add doxygen man (3) pages to installman and uninstallman
	  rules
	  - do not run doxygen if apidocs already exists

2007-10-28  jkerihuel

	* [r300] Move documentation to doxygen

2007-10-25  jkerihuel

	* [r299] Add convenient date related functions for implementors:
	  returns a timeval struct matching a PT_SYSTIME property
	  for improved date manipulation in 3rd party softwares

2007-10-24  jkerihuel

	* [r298] Fix build to work with latest Samba4 revision
	  (4.0.0alpha2-SVN-build-25722)

2007-10-24  jkerihuel

	* [r297] Fix make realdistclean when swig perl is enabled

2007-10-24  jkerihuel

	* [r296] Fix swig perl bindins compilation: move *.o to *.po

2007-10-24  jkerihuel

	* [r295] use talloc_memdup to copy const data in the body DATA_BLOB
	  Should only provide valid pointer to talloc_free

2007-10-23  jkerihuel

	* [r294] Fix the DeleteMessages [out] IDL.
	  
	  The remaining bytes were not part of DeleteMessages but
	  MAPI notification (0x2a)

2007-10-22  jkerihuel

	* [r293] - Add RTF support in exchange2mbox
	  - Use openchange-tools public functions
	  - Replace GetPropsAll calls with GetProps

2007-10-22  jkerihuel

	* [r292] - fetchmail:
	  * Use GetProps rather than GetPropsAll for message dump
	  * Rely on PR_MSG_EDITOR_FORMAT to select the type of body
	  * Open a stream for PR_BODY and PR_HTML if the size exceeds max
	  property size
	  
	  -This line, and those below, will be ignored--
	  
	  M trunk/Makefile.in
	  A trunk/utils/openchange-tools.c
	  M trunk/utils/openchangeclient.c
	  M trunk/utils/openchange-tools.h
	  M trunk/utils/openchangeclient.h
	  M trunk/libmapi/mapidefs.h

2007-10-20  jelmer

	* [r291] Fix ignores.

2007-10-19  ali

	* [r290] Remove useless svn:ignore

2007-10-19  jkerihuel

	* [r289] Add WrapCompressedRTFStream function for PR_RTF_COMPRESSED
	  content.
	  
	  Original lzfu decompress routine fetched from libpst-0.5.2

2007-10-19  jkerihuel

	* [r288] make enum MAPISTATUS variables naming uniform in libmapi

2007-10-16  jkerihuel

	* [r287] Add PT_CLSID case to get_SPropValue_data

2007-10-16  jkerihuel

	* [r286] Add/Fix pull property support for PT_UNICODE and PT_CLSID
	  (used by GetProps)

2007-10-16  jkerihuel

	* [r285] Patch from Brad Hards <bradh@frogmouth.net>:
	  Fix compilation for x86_64 platforms.

2007-10-14  ali

	* [r284] More svn:ignore updates

2007-10-14  ali

	* [r283] Update of svn:ignore

2007-10-10  jkerihuel

	* [r282] added the IDL license

2007-10-10  jkerihuel

	* [r281] Convert OpenChange to GPLv3

2007-10-10  jkerihuel

	* [r280] - Add .po files to make clean
	  - Fix a couple of warnings in the utf8 conversion lexer
	  - Prefer long filenames to truncated one for attachments in
	  openchangeclient

2007-10-09  jkerihuel

	* [r279] Prevent exchange2mbox from segfault when
	  PR_MESSAGE_DELIVERY_DATE is unset

2007-10-09  jkerihuel

	* [r278] Add PT_CLSID and PT_MV_CLSID support to the IDL

2007-10-09  jelmer

	* [r277] Make .po a recognized suffix.

2007-10-09  jelmer

	* [r276] Fix compile error.

2007-10-09  jelmer

	* [r275] Use -fPIC for library objects.

2007-10-09  jkerihuel

	* [r274] - Add new named properties
	  - Convenient function for MNID_STRING props lookup added

2007-10-08  jkerihuel

	* [r273] - Rename GetAllNamesFromIDs to QueryNamesFromIDs (better
	  naming)
	  - fix SPropValue_CTR boolean to uint8_t in the IDL and emsmdb.c
	  
	  - add mapi_nameid convenient interface and headers
	  - mapi-named-properties populated, parser added to mparse.pl,
	  file
	  added to the build system
	  
	  - remove any incorrect reference to named properties in
	  openchange
	  tree
	  
	  - remove deprecated libmapi/mapi.h file
	  - remove unused ulFlag parameter from IProfAdmin functions
	  - remove unused memory context from libmapi/x500.c
	  
	  - support sendnote operation in openchangeclient
	  - optimize check/list oc_element functions in openchangeclient
	  
	  - update swig interface

2007-10-05  jkerihuel

	* [r272] - New MAPI calls: Named properties support
	  * GetNamesFromIDs
	  * GetIDsFromNames
	  * GetAllNamesFromIDs
	  
	  - Modified MAPI calls:
	  * OpenMessage
	  * SaveChanges
	  These calls now have more granularity in libmapi with flags
	  support
	  
	  - sample mapi-named-properties file introduced in libmapi/conf
	  
	  - Torture test suite:
	  * suite temporary fixed (import torture_rpc_* functions from
	  Samba4)
	  * torture_namedprops test added
	  
	  - SWIG Perl bindings fixed according to changes described above
	  - minor improvements in libmapi/mapidump.c

2007-10-02  jkerihuel

	* [r271] - Decrease MAX_READ_SIZE to 0x1000
	  - Clean-up Read/WritreStream related code
	  - add dump-data option to openchangepfadmin (debugging purpose)

2007-10-01  jkerihuel

	* [r270] Fix build:
	  - remove reference to core/nterr.h
	  - add global_loadparm reference where missing
	  - add reference to core/error.h where needed

2007-10-01  jelmer

	* [r269] Improve output during build.

2007-10-01  jelmer

	* [r268] Fix lp_load().

2007-10-01  jelmer

	* [r267] Pass loadparm contexts, should fix the build with newer
	  Samba revisions.

2007-09-28  jkerihuel

	* [r266] - WriteStream API changed: now returns the number of bytes
	  written
	  - WriteStream man page updated
	  - 16 bytes extra-data bug fixed when sending attachments in
	  openchangeclient
	  - Set open mode to 0600 when attachments are stored on the
	  filesystem
	  

2007-09-19  jkerihuel

	* [r265] Fix preliminary Perl bindings so it works with Samba4
	  alpha2
	  and latest libmapi revision.

2007-09-19  jkerihuel

	* [r264] Patch from Andrew Gaylard <ag@computer.org>:
	  
	  - When calling openchangeclient with the --dump-data switch, it
	  will
	  dump core, since the global_mapi_ctx pointer isn't initialised
	  yet.
	  The fix is to wait until it's set before accessing it.

2007-09-19  jkerihuel

	* [r263] Patch from Andrew Gaylard <ag@computer.org>:
	  - Leaving any blank lines before .TH directives appears to cause
	  a blank page
	  to be output when converting man pages to DVI files (which is a
	  step to converting
	  them to PDF). The following patch remove the blank line above the
	  .TH in each man page file.
	  
	  - mapiprofile doesn't understand the -A switch, as mentioned in
	  it's man page.
	  It should be -I.

2007-09-13  jkerihuel

	* [r262] - Add objectClass to the object: container, message or
	  attachment
	  - Rename content to message in openchangebackup functions
	  - add objectClass parameter to ocb_record_init

2007-09-12  jkerihuel

	* [r261] - Move debug options to their correct location (after
	  MAPIInitialize)
	  - Improve code related to LDB transactions
	  - Add convenient error checking macros

2007-09-11  jkerihuel

	* [r260] - Add preliminary openchangemapidump draft
	  - Fix lp_parm_* 1st parameter in the torture suite
	  - New functions in property.c for MAPI data retrieval

2007-09-09  jelmer

	* [r259] Use configure definition for mandir.

2007-09-08  dan

	* [r258] Activate debugs this time

2007-09-08  dan

	* [r257] Replaced remaining gotos with MAPI_RETVAL_IF so errno is
	  set correctly

2007-09-08  dan

	* [r256] MAPI_RETVAL_IF missing ";" could cause surprises ;-)

2007-09-08  dan

	* [r255] Add error check for samr call.
	  set errno with MAPI_RETVAL_IF.

2007-09-06  dan

	* [r254] Make required packaged more clear (LinuxMagazin input)

2007-09-05  jelmer

	* [r253] Remove invalid comment.

2007-09-04  jkerihuel

	* [r252] - Clean-up function prototypes
	  - Dump email when NEWMAIL notification is received

2007-08-31  jelmer

	* [r251] Proper dependencies.

2007-08-31  jelmer

	* [r250] Don't regenerate proto headers unless necessary.

2007-08-31  jelmer

	* [r249] Add 'make check'.

2007-08-31  jelmer

	* [r248] Use install for installing files/directories.

2007-08-31  jelmer

	* [r247] Actually use replacement variable for libmagic.

2007-08-30  jkerihuel

	* [r246] Remove forgotten BOOL

2007-08-30  jkerihuel

	* [r245] Remove mapi_session pointer in mapi_objects
	  Add public function to IProfAdmin: retrieve default ldif path
	  location outside the OC tree

2007-08-28  jkerihuel

	* [r244] Prevent users from creation of *undeletable* folders in
	  Outlook and
	  perform sanity check on dirclass + display possible values.

2007-08-28  jkerihuel

	* [r243] Provides a way to modify Default and Anonymous permissions
	  for a given folder.

2007-08-28  jkerihuel

	* [r242] Fix errno in getdir function + add sanity check on
	  opt_rmdir

2007-08-28  jkerihuel

	* [r241] - Fix a memory related bug in mapiadmin_add_user
	  - Add latest howto.txt modifications from Dan

2007-08-28  jkerihuel

	* [r240] - Fix bug in *UserPermission function: return when user is
	  not found
	  - Add sanity checks to mapi_object API functions
	  - mapi_object_release reset errno to 0: need to release object
	  after displaying the potential error message.

2007-08-28  jkerihuel

	* [r239] Fix a mapidump_appointment bug
	  Add PF folder support to fetch-items operation

2007-08-27  jkerihuel

	* [r238] openchangeclient now support send/read/delete operation on
	  custom PF directories.

2007-08-27  jelmer

	* [r237] Update ignore list.

2007-08-27  jelmer

	* [r236] Fix last references to BOOL, True and False.

2007-08-27  jelmer

	* [r235] Fix more references to BOOL, False and True.

2007-08-27  jelmer

	* [r234] Use standard type and values for booleans since Samba no
	  longer exports
	  BOOL, True and False.

2007-08-27  jkerihuel

	* [r233] - Add libmapiadmin library draft: Add/Remove Exchange user
	  - openchangepfadmin tool added: Public Folders management
	  - Add Sanity check to CreateFolder

2007-08-21  jkerihuel

	* [r232] - Add OpenPublicFolder function to libmapi, Open Public
	  Folder store
	  - change torture suite API to match latest Samba4 pidl changes
	  - utf8_convert regexp improved
	  - minor changes: printf to DEBUG
	  - howto.txt patch from Dan included
	  - Samba4 torture code related to user account creation included
	  in the
	  torture suite.

2007-08-06  jkerihuel

	* [r231] Fix segmentation fault when running update prior
	  populating the database.

2007-07-31  jkerihuel

	* [r230] Remove obsolete file from the torture suite

2007-07-31  jkerihuel

	* [r229] - Add Exchange Administration test to the torture suite:
	  Create Exchange user

2007-07-31  jkerihuel

	* [r228] Dan update on howto.txt

2007-07-10  jkerihuel

	* [r227] - Add Exchange ACLs support to MAPI library
	  - Add 2 new MAPI opnum: GetTable and ModifyTable
	  - Improve mapidump functions

2007-07-04  jkerihuel

	* [r226] - Improve aclocal check in autogen.sh
	  - Fix flex binary detection in configure.ac

2007-06-22  jkerihuel

	* [r225] Same player ...

2007-06-22  jkerihuel

	* [r224] Fix libmapi symlink

2007-06-22  jkerihuel

	* [r223] Create libmapi.so symlink

2007-06-21  jkerihuel

	* [r222] Fix mandir installation path
	  Add ldconfig intructions to openchange installation documentation

2007-06-21  jkerihuel

	* [r221] Fix build.

2007-06-20  jkerihuel

	* [r220] RES_AND and RES_OR preliminary implementation.

2007-06-19  jkerihuel

	* [r218] - doc patch from Brad Hards
	  - rename PROFILE_NOPASSWORD to OC_PROFILE_NOPASSWORD
	  - fix a warning in property.c

2007-06-16  jelmer

	* [r210] Add some 'const' (fixes compile warnings).

2007-06-16  jelmer

	* [r209] Use sonames (required for the Debian packages).

2007-06-16  jelmer

	* [r208] Add .bzrignore file.

2007-06-16  jelmer

	* [r207] Update version number and use globally defined version
	  number in libmapi.pc.

2007-06-15  jkerihuel

	* [r205] - Add IDL implementation for restrictions Content,
	  Property,
	  CompareProps, Bitmask, Size, Exist.
	  - Add Restrict MAPI call handling the restrictions above
	  - OPENCHANGE-MAPI-RESTRICTIONS torture test added to the suite.
	  - convenient sendmail function added to mapi_common.c
	  - get property size function for mapi_SPropValue added to
	  property.c
	  
	  test --This line, and those below, will be ignored--
	  
	  M Makefile.in
	  M exchange.idl
	  M torture/openchange.c
	  A torture/mapi_restrictions.c
	  M torture/mapi_common.c
	  M libmapi/property.c
	  M libmapi/IMAPITable.c

2007-06-11  jkerihuel

	* [r204] Documentation update: Perl bindings installation

2007-06-10  jkerihuel

	* [r203] - Add mapitags and mapicode support to Perl SWIG bindings
	  - SPropTagArray support
	  - SRowSet preliminary support
	  - new constructor/destructor for mapi objects

2007-06-09  jkerihuel

	* [r202] - IProfAdmin patch applied: having password outside of the
	  profile
	  
	  - Perl bindings draft added to the trunk and to the build system:
	  --enable-swig-perl=yes
	  
	  - datarootdir fixed in libmapi.pc.in

2007-06-06  jkerihuel

	* [r201] - Add CopyMessages IDL and COPYMAIL torture implementation
	  - Fix man page install dir according to latest Samba4 changes
	  - Add datarootdir var to libmapi.pc.in and fix configure warning

2007-06-01  jkerihuel

	* [r199] convenient function which retrieve a value from a
	  SPropValue array
	  given its property tag name, otherwise NULL

2007-05-31  jkerihuel

	* [r198] Patch from Brad Hards <bradh@frogmouth.net>:
	  openchangeclient man page updated

2007-05-31  jkerihuel

	* [r197] - Add Windows UTF8 to classic UTF8 conversion through a
	  lexer
	  - openchangeclient --mailbox option changed to use it
	  - flex and bison support added to configure.ac
	  - windows_to_utf8 function added: wrapper over yyparse_utf8
	  routine

2007-05-29  jkerihuel

	* [r196] - features added to openchangeclient:
	  * --send-appointment
	  * --send-contact
	  * --send-task
	  * custom parameters
	  - openchangeclient man page updated
	  - new properties added to mapi-properties

2007-05-29  jkerihuel

	* [r195] - Add man pages for simple_mapi.c functions:
	  * GetDefaultFolder
	  * GetFolderItemsCount

2007-05-29  jkerihuel

	* [r194] - Remove deprecated functions from IMsgStore.c
	  - Update man pages documentation

2007-05-29  jkerihuel

	* [r193] Fix install rule in Makefile: add missing headers
	  Move callback retval from uint32_t to int

2007-05-29  jkerihuel

	* [r192] Fix notification callback retval

2007-05-29  jkerihuel

	* [r191] - Advise opnum added to the IDL
	  - Parts of the Notify response IDL implementation
	  - Add Notification support to libmapi
	  - Add --notifications option to openchangeclient

2007-05-28  jkerihuel

	* [r190] Patch from Brad Hards <bradh@frogmouth.net>:
	  - PR_BUSINESS_FAX_NUMBER
	  - improves the information provided on a contact by
	  mapidump_contact()

2007-05-25  jkerihuel

	* [r189] - Fix the release call in,out
	  - Call Release from mapi_release_object
	  - Add sanity check to OpenMsgStore
	  - clean up parts of the mapi_newmail test

2007-05-25  jkerihuel

	* [r188] EcDoDisconnect code now sounds to work properly
	  Tested against Exchange 2000 / Exchange 2003

2007-05-25  jkerihuel

	* [r187] - Fix SpropValue property pull problem when GetProps
	  layout is set
	  - Add a dumpdata boolean to mapi_ctx_t so tools can dump hex data
	  - Add PR_CONTAINER_CLASS fetch to openchangeclient --mailbox
	  - Add debuglevel and dumpdata options support to openchangeclient

2007-05-24  jkerihuel

	* [r186] - Remove useless memory allocation in mapidump.c
	  - Improve mapidump_appointment
	  - Add sample mapidump_note
	  - Add --fetchitems option to openchangeclient:
	  This command offers an easy way to fetch calendar, contacts,
	  tasks, notes and mails from the Exchange server.
	  - Add IPF container class defines to mapidefs.h
	  - Add and Fix property tags

2007-05-22  jkerihuel

	* [r185] - Commit the EcDoRpc max_data patch proposed on the devel
	  list
	  - Clean up folders related functions from the torture suite
	  (GetDefaultFolder makes this code obsolete)

2007-05-21  jkerihuel

	* [r184] Add the --mailbox option to openchangeclient which
	  recursively
	  lists the full mailbox folder hierarchy

2007-05-21  jkerihuel

	* [r183] - Add PT_SYSTTIME support to get_SPropValue_data
	  - Add mapidump_SPropValue_date dumping function
	  - Add PT_SYSTIME support to mapidump_SPropValue

2007-05-21  jkerihuel

	* [r182] - Add multi-valued SBinary_short support to
	  mapi_SPropValue_CTR in the
	  IDL
	  
	  - Add GetDefaultFolder implementation to simple_mapi.c. This
	  function
	  provides a convenient way to retrieve default folders ID. const
	  olFolder values are stored in libmapi/mapidefs.h
	  
	  - Modify the torture test suite to reflect these changes.
	  
	  - OpenMsgStore now decodes all the fid returned in the response
	  
	  - fix a bug size in libmapi/property.c

2007-05-18  jkerihuel

	* [r181] - Fix SMTP recipient in libmapi
	  - Add SMTP recipient support to openchangeclient
	  and the torture test suite
	  - Fix a bug in SRow_addprop

2007-05-17  jkerihuel

	* [r180] - OpenMessage IDL changed: we have a permission field.
	  It is now set by default to 0x3 (read/write) until we
	  change OpenMessage prototype.
	  
	  - Add a sanity check to MAPIInitialize when no profdb
	  is specified

2007-05-15  jkerihuel

	* [r179] Remove remaining MAPISTATUS and replace them with enum
	  MAPISTATUS

2007-05-15  jkerihuel

	* [r178] - SetReadFlags IDL and implementation added to libmapi
	  - Warning fixed in emsabp.h

2007-05-15  jkerihuel

	* [r177] Fix a bug in openchangeclient when attachments are using
	  PR_ATTACH_LONG_FILENAME rather than PR_ATTACH_FILENAME to store
	  attachment filename.

2007-05-15  jkerihuel

	* [r176] Patch supplied by Brad Hards <bradh@frogmouth.net> which
	  renames
	  private structure member to private_data for C++ compatibility.

2007-05-15  jkerihuel

	* [r175] Add libmapi/simple_mapi.c designed to hold convenient
	  functions for application development.
	  
	  - GetFolderItemsCount added which returns the number of
	  total and unread messages for a given folder.

2007-05-14  jkerihuel

	* [r174] - Fix a body openchangeclient bug which now prevent
	  openchangeclient
	  from segfault when no body is specified.
	  - Add GetDefaultProfile call to exchange2mbox for the default
	  operation.
	  - Improve fuzzer_msgtore output

2007-05-13  jkerihuel

	* [r173] Add a fuzzer torture test on OpenMsgStore which
	  test all the possible max_data value.
	  
	  Should help to understand if libmapi fails because
	  of max_data or not.

2007-05-12  texane

	* [r172] newmail torture + notifications implementation
	  
	  -- texane

2007-05-12  jkerihuel

	* [r171] exchange2mbox improved:
	  - tdb dependency removed
	  - message-id are now stored in the profile database
	  - it now mirrors deletion operation from the mbox file back to
	  the
	  Exchange server.
	  - man page updated to reflect these changes

2007-05-12  jkerihuel

	* [r170] - GetProfileAttr function prototype modified. It now
	  returns the
	  results count for the given attribute and store values in a
	  string
	  array.
	  - GetProfileAttr man page updated to reflect these changes
	  - Fix mapiprofile attribute search command
	  - migrate from open/write calls to stream ones in exchange2mbox

2007-05-11  jkerihuel

	* [r169] Fix the SambaXP live demo segfault: When an ambiguous
	  recipient is
	  specified, it now skips the name properly and maintain a correct
	  SRowSet.

2007-05-11  jkerihuel

	* [r168] - Fix a bug when storing attachments into mbox
	  - Add default path support to exchange2mbox

2007-05-10  jkerihuel

	* [r167] - Update libmapi version according to the roadmap
	  - Fix nspi_resolvenames to use default profile database and
	  profile

2007-05-09  jkerihuel

	* [r166] - Add default profile database and profile support in the
	  torture suite.
	  - Fix a bug in mapidump_task

2007-05-08  jkerihuel

	* [r165] - Change MAPILogonEx to MAPILogonProvider and avoid
	  potential
	  emsmdb endpoint related problem
	  - add sanity check on global session pointer

2007-05-06  ali

	* [r164] Merged MAILOOK-branch changes r64:163 into the trunk.

2007-03-04  jkerihuel

	* [r79] Remove ChangeLog, use svn log instead ;p

2007-02-13  jkerihuel

	* [r63] - libmapi includes moved from libmapi/include to libmapi
	  - Remove arguments from prototype definitions generation in
	  mkproto.pl
	  - __BEGIN_DECLS __END_DECLS support in header files
	  - united libmapi/libmapi.h header file
	  - openchange.h header removed
	  - PIDL generated files moved to gen_ndr
	  - compilation rule for libmapi header installation added
	  - useless torture tests removed
	  
	  jkerihuel.

2007-02-12  jkerihuel

	* [r62] Replace OpenProperty and ReadAttach calls with OpenStream
	  and ReadStream call
	  Add GetAttachmentTable call
	  
	  jkerihuel.

2007-02-09  texane

	* [r61] . reimplement GetProps
	  . retrieve attachment size
	  . modify fetchmail and fetchattach torture
	  
	  -- texane

2007-02-09  texane

	* [r60] . add GetPropList to exchange.idl
	  . add GetPropList implementation to IMAPIProp.c
	  -- texane

2007-02-09  texane

	* [r59] - Add fetchattach torture; Attachment size is not yet
	  defined and 42 is used.
	  - add 3 new EcDoRpc opnums:
	  - OpenAttach
	  - ReadAttach
	  - OpenProperty
	  
	  -- texane

2007-02-09  jkerihuel

	* [r58] Remove -Werror CFLAGS until I figure out how to fix
	  our problem definitively.
	  
	  Remove static from dcesrv_exchange.c functions definition
	  
	  jkerihuel.

2007-02-08  jkerihuel

	* [r57] Forgot to add IMAPISession.c
	  
	  jkerihuel.

2007-02-07  jkerihuel

	* [r56] Remove spurious warnings at compile time and
	  add -Werror -Wstrict-prototypes to CC.
	  
	  jkerihuel.

2007-02-07  jkerihuel

	* [r55] Dispatch libmapi functions into filenames matching
	  the MAPI interface they belong to.
	  
	  jkerihuel.

2007-02-07  jkerihuel

	* [r54] Fix the attach issue by value and add torture test to
	  the openchange torture suite.
	  
	  jkerihuel.

2007-02-07  texane

	* [r53] attachment torture test implementation
	  
	  -- texane

2007-02-06  jkerihuel

	* [r52] Add a null element at the end of MAPI_REQ array
	  so we can exit from the loop in ndr_print_mapi_request
	  
	  jkerihuel.

2007-02-06  texane

	* [r51] subject option for delete message torture test
	  
	  -- texane

2007-02-06  texane

	* [r50] added (recipients == null) check
	  added default body
	  added default subject
	  -- texane

2007-02-06  jkerihuel

	* [r49] - Add the DeleteMessages IDL
	  - New torture tests added:
	  * OPENCHANGE-MAPI-SENDMAIL
	  * OPENCHANGE-MAPI-DELETEMAIL
	  
	  These are experimental implementation
	  
	  jkerihuel.

2007-02-03  jkerihuel

	* [r48] Add NspiResolveNames and the associated torture test.
	  
	  jkerihuel.

2007-02-01  jkerihuel

	* [r47] Fix nspi decoding problem due to the usage of
	  a hyper instead of a dlong.
	  
	  jkerihuel.

2007-02-01  jkerihuel

	* [r46] - Add a preliminary NspiUpdateStat IDL
	  - Fix the new server code convention naming
	  (function prefixed with dcesrv_)
	  - Fix a security bug in emsabp provider code
	  
	  jkerihuel.

2007-02-01  jkerihuel

	* [r45] Fix the allocation memory for the
	  EcDoRpc_{MAPI_REQ,MAPI_REPL} pointer.
	  
	  jkerihuel.

2007-02-01  jkerihuel

	* [r44] Add SetProps [out] support.
	  
	  Temporary allocation pb fixed in ndr_pull_mapi_response.
	  Final fix in next commit.
	  
	  jkerihuel.

2007-01-31  jkerihuel

	* [r43] Fix the SetProps [in] IDL
	  
	  New mapi call support added:
	  - ModifyRecipients [in,out]
	  - SubmitMessage [in,out]
	  
	  jkerihuel.

2007-01-31  jkerihuel

	* [r42] Add IDL support for the following mapi calls:
	  
	  [in] CreateMessage
	  [in] SetProps
	  
	  The SetProps IDL is still experimental and the
	  content blob should be decoded more than the current
	  IDL does.
	  
	  jkerihuel.

2007-01-30  jkerihuel

	* [r41] Fix the align problem in QueryRows reply blob
	  Add some printing output and clean useless DEBUG.
	  
	  jkerihuel.

2007-01-29  jkerihuel

	* [r40] Fix the OpenMessage IDL and add ndr_print support
	  to the MAPI-FETCHMAIL torture test so we can
	  read information.
	  
	  jkerihuel.

2007-01-29  jkerihuel

	* [r39] Commit of the first experimental but working implementation
	  of the MAPI-FETCHMAIL torture test able to retrieve mails
	  from an Exchange Server.
	  
	  jkerihuel.

2007-01-29  jkerihuel

	* [r38] - Add a preview implementation of cached data system for
	  multi MAPI calls requests
	  - Add SetColumns and QueryRows calls to mapi.c + mapi_fetchmail
	  torture test
	  - Enhance some MAPI calls IDL
	  - Fix some pull/print functions according to error_code and
	  row_count values
	  
	  jkerihuel.

2007-01-28  jkerihuel

	* [r37] Manual handling of EcDoRpc_MAPI_REPL pull and print
	  function.
	  When a mapi call returns an error_code different from
	  MAPI_E_SUCCESS,
	  we have to stop processing the function IDL since no parameters
	  follow.
	  
	  jkerihuel.

2007-01-28  jkerihuel

	* [r36] add MAPISTATUS to EcDoRpc_MAPI_REPL
	  add mapi library code for:
	  - OpenFolder
	  - Release
	  - GetContentsTable
	  - GetReceiveFolder
	  
	  add mapi calls described above to MAPI-FETCHMAIL torture test
	  
	  jkerihuel.

2007-01-28  jkerihuel

	* [r35] add mapi_response to emsmdb_transaction so we can get the
	  results
	  check the mapi call error core in OpenMsgStore
	  
	  jkerihuel.

2007-01-28  jkerihuel

	* [r34] Add MAPISTATUS field in each mapi calls
	  Add new MAPICODE (MAPI_E_CALL_FAILED)
	  
	  jkerihuel.

2007-01-28  jkerihuel

	* [r33] Fix the mapi_request push function
	  Add a first approach to the MAPI client side library
	  Add a first approach of the MAPI-FETCHMAIL torture test
	  Fix the smb.conf.example with new fields and remove Samba4 unused
	  ones
	  
	  jkerihuel.

2007-01-27  jkerihuel

	* [r32] Initial mapidump commit
	  OpenMessage IDL fixed
	  
	  jkerihuel.

2007-01-24  jkerihuel

	* [r31] Unused and dummy code removed
	  
	  jkerihuel

2007-01-24  jkerihuel

	* [r30] - Remove the MAPI decoding TDR layer and associated
	  functions
	  - Add MAPI decoding in exchange.idl at NDR layer
	  - mapi_request / mapi_response pull/print ok
	  - implement subcontext for async response decoding in
	  some EcDoRpc IDLs.
	  - new MAPITAGS added related to Message envelope properties
	  - clean up the code and remove unused files
	  
	  - Add new MAPI opnums and associated IDL:
	  * [in] Release (opnum=0x1)
	  * [in,out] OpenFolder (opnum=0x2)
	  * [in,out] OpenMessage (opnum=0x3)
	  * [in,out] GetContentsTable (opnum=0x5)
	  * [in,out] GetProps (opnum=0x7)
	  * [in,out] Secolumns (opnum=0x12)
	  * [in,out] QueryRows (opnum=0x15)
	  * [in,out] GetReceiveFolder (opnum=0x27)
	  * [in,out] OpenMsgStore (opnum=0xFE)
	  
	  ** WARNING **
	  
	  1. Assumption
	  ==============
	  For IDL with unknown fields followed the IDL may
	  change and the mapping of these unknown bytes incorrect.
	  It's just based on assumptions and results of the different
	  wireshark captures.
	  
	  2. Broken Code
	  ==============
	  - The mapi_request / mapi_response pull function
	  - emsmdb torture tests and libmapi/emsmdb.c
	  
	  All this code is currently broken and will be fixed
	  when we start writing the new emsmdb torture suite
	  using the new API.
	  
	  
	  jkerihuel

2007-01-22  jkerihuel

	* [r29] Fix ndr_pull_MAPI_DATA function
	  
	  jkerihuel.

2007-01-22  jkerihuel

	* [r28] - Add new mapi opnums
	  - Add a first IDL implementation for OpenMsgStore out
	  
	  jkerihuel.

2007-01-22  jkerihuel

	* [r27] - Enhance the handles id support in MAPI_DATA
	  - Remove unused code
	  
	  EMSMDB encoding/decoding is currently broken.
	  It will be fixed when we start the client side
	  mapi library implementation.
	  
	  jkerihuel.

2007-01-21  jkerihuel

	* [r26] - Change IMAPISession.idl to mapi.idl
	  - enhance mapi content payload decoding (multiple calls
	  supported)
	  - add sub EcDoRpc opnums and IDL for setcolumns (in)
	  
	  jkerihuel

2007-01-21  pkhun

	* [r25] - memory leak fixed
	  - new function on emsabp provider for entry id generation
	  
	  pkhun

2006-12-27  jkerihuel

	* [r24] Old mapitables code deleted and merge of the samdb
	  code used in openchange (emsabp_result_guid function).
	  
	  The following revision compiles and work fine with
	  Samba4 revision 20341
	  
	  jkerihuel.

2006-12-17  pkhun

	* [r23] Instance keys management changed (we now use struct
	  instance_key and uint32_t instead of an array of 4 uint8_t)
	  
	  pkhun

2006-12-15  jkerihuel

	* [r22] - Fix compilation warnings based on patches provided
	  by Stefan Huehner <stefan@huehner.org>
	  - Fix the DSO issue for x64 platforms
	  - Add the evolution plugin in the compilation process
	  - remove the mapidump code (obsolete and replaced with ndrdump
	  usage)
	  
	  jkerihuel.

2006-12-13  jkerihuel

	* [r21] evolution plugin moved into client/evolution for
	  a correct and extensible naming convention.
	  
	  EcDoRpc IDL modified:
	  - opnum are now 8 bits
	  - action enum added
	  - EcDoRpc ndrdump output enhanced
	  
	  IMAPISession IDL modified:
	  - Change OpenMsgStore function name to MAPI_RPC_LOGON
	  for the 0xFE opnum operation.
	  
	  Fix warnings in the code.
	  
	  jkerihuel.

2006-12-09  loic

	* [r20] Openchange-Evolution plugin commit
	  I reorganized openchange evolution plugin source tree.
	  Now we have one directory for the camel-openchange provider, and
	  one for the openchange eplugin.
	  Everything can be found in the oc-evolution directory.
	  This is code a minimalist implementation of the camel provider
	  for evolution.
	  It will make appears an openchange server type in the server list
	  handled by evolution.
	  Still have to fix the ./configure to create a Makefile though.

2006-12-05  jkerihuel

	* [r19] Fix the memory allocation problems in the emsmdb torture
	  test

2006-12-03  pkhun

	* [r18] The emsabp provider is now able to return multiple users
	  when searching for part of a username.
	  
	  pkhun

2006-12-03  jkerihuel

	* [r17] Removed ascstr and directly add it to the IDL

2006-12-03  jkerihuel

	* [r16] Fix the NspiQueryRows response where strings
	  containing the user email address have to be
	  NULL terminated.
	  
	  The EMSABP provider is working ;-)

2006-11-30  jkerihuel

	* [r15] Fix the networkAddress binding strings for the
	  Exchange object in the configuration db. The
	  SERVER variable based on exchange:server had
	  been added while we needed the NETBIOSNAME one
	  
	  Fix a segmentation fault in emsabp.c due to an
	  unchecked pointer res->msgs. This was causing
	  smbd to segfault when the supplied legacyExchangeDN
	  sent by the user wasn't present in the database.
	  
	  jkerihuel

2006-11-27  jkerihuel

	* [r14] Remove unused files and directory.
	  Update Makefile.in and remove storedb compilation
	  rules.

2006-11-27  pkhun

	* [r13] Fixed :
	  - NspiQueryRows
	  - NspiDNToEph
	  - NspiGetProps
	  - provisioning (for the legacyExchangeDN of the server entry)

2006-11-26  pkhun

	* [r12] Unused ldif files removed + Schemas definitions updated
	  
	  pkhun

2006-11-26  jkerihuel

	* [r11] Fix the build and remove dynconfig samba lib
	  dependency.
	  
	  jkerihuel

2006-11-26  pkhun

	* [r10] Provisionning fixed (old ldif files cleaned)
	  
	  pkhun

2006-11-22  jkerihuel

	* [r9] add tags rules to the Makefile
	  
	  jkerihuel.

2006-11-22  jkerihuel

	* [r8] add the \\pipe\\protected_storage named pipe
	  to exchange_nsp bindings
	  
	  jkerihuel.

2006-11-21  jkerihuel

	* [r7] Add a dcerpc_server module in charge of the
	  exchange interfaces registration. When this module
	  is loaded prior the remote endpoint, it let us proxify
	  the exchange_nsp and exchange_emsmdb ones.
	  
	  Change the exchange_nsp ncacn_np binding string to
	  reflect how Exchange server is currently using it.
	  
	  Conform the IDL with latest pidl requirements and
	  move the MAPI_DATA structure from exchange_nsp to
	  exchange_emsmdb.
	  
	  jkerihuel

2006-11-14  jkerihuel

	* [r6] Create the $prefix/modules/{dcerpc_server,torture}
	  directories.
	  
	  This fix openchange make install rule.
	  
	  jkerihuel.

2006-11-14  jkerihuel

	* [r5] This commit conforms openchange with the Samba4
	  trunk and fix the autotools checks.
	  
	  I've modified the openchange torture file to
	  match the current smbtorture API and the
	  OPENCHANGE-NSPI-PROFILE test was successful.
	  
	  The NSPI ndrdump suite has fully been tested and
	  works correctly.
	  
	  jkerihuel.

2006-11-05  pkhun

	* [r4] + aclocal.m4 removed from repository
	  + provisionning fixed
	  
	  pkhun.

2006-11-05  jkerihuel

	* [r3] This commit fix the build system:
	  - add the -ldynconfig dependency to LDFLAGS
	  - add header checks in configure.ac. We need them
	  for the moment cause Samba4 doesn't install some headers
	  required by openchange core
	  - fix the make install
	  
	  - remove autotools generated files and definitively
	  ignore them with the .svnignore file
	  
	  - keepref keyword removed from exchange_nsp interface
	  
	  jkerihuel.

2006-10-29  jkerihuel

	* [r2] OpenChange public core branch released.
	  Many parts of the code are currently broken and have
	  to be fixed soon.
	  
	  For the moment the current code should be used
	  to build libmapi.so needed by ndrdump in KBPortal.
	  
	  jkerihuel

2006-10-29  ali

	* [r1] Preparing the core release

